function bab_jQuery_extractUrlParams(){
	var getParams = {};
	jQuery('script').each(function(){
		var src = jQuery(this).attr("src");
		if(src){
			if( src.indexOf("jquery-ui-i18n.js") > -1){
				var getarray = src.split("?")[1].split("&");
				for (key = 0; key < getarray.length; ++key) {
					var currentVal = getarray[key];
					var val = currentVal.split('=');
					getParams[val[0]] = val[1];
				}
			}
		}
	})

	return getParams;
}
//UPDATE VERSION BELOW THIS LINE / ! \ THERE IS CODE TO KEEP at the end of this file when updated

/*! jQuery UI - v1.11.0 - 2014-06-26
* http://jqueryui.com
* Includes: datepicker-af.js, datepicker-ar-DZ.js, datepicker-ar.js, datepicker-az.js, datepicker-be.js, datepicker-bg.js, datepicker-bs.js, datepicker-ca.js, datepicker-cs.js, datepicker-cy-GB.js, datepicker-da.js, datepicker-de.js, datepicker-el.js, datepicker-en-AU.js, datepicker-en-GB.js, datepicker-en-NZ.js, datepicker-eo.js, datepicker-es.js, datepicker-et.js, datepicker-eu.js, datepicker-fa.js, datepicker-fi.js, datepicker-fo.js, datepicker-fr-CA.js, datepicker-fr-CH.js, datepicker-fr.js, datepicker-gl.js, datepicker-he.js, datepicker-hi.js, datepicker-hr.js, datepicker-hu.js, datepicker-hy.js, datepicker-id.js, datepicker-is.js, datepicker-it-CH.js, datepicker-it.js, datepicker-ja.js, datepicker-ka.js, datepicker-kk.js, datepicker-km.js, datepicker-ko.js, datepicker-ky.js, datepicker-lb.js, datepicker-lt.js, datepicker-lv.js, datepicker-mk.js, datepicker-ml.js, datepicker-ms.js, datepicker-nb.js, datepicker-nl-BE.js, datepicker-nl.js, datepicker-nn.js, datepicker-no.js, datepicker-pl.js, datepicker-pt-BR.js, datepicker-pt.js, datepicker-rm.js, datepicker-ro.js, datepicker-ru.js, datepicker-sk.js, datepicker-sl.js, datepicker-sq.js, datepicker-sr-SR.js, datepicker-sr.js, datepicker-sv.js, datepicker-ta.js, datepicker-th.js, datepicker-tj.js, datepicker-tr.js, datepicker-uk.js, datepicker-vi.js, datepicker-zh-CN.js, datepicker-zh-HK.js, datepicker-zh-TW.js
* Copyright 2014 jQuery Foundation and other contributors; Licensed MIT */

(function( factory ) {
	if ( typeof define === "function" && define.amd ) {

		// AMD. Register as an anonymous module.
		define([ "jquery" ], factory );
	} else {

		// Browser globals
		factory( jQuery );
	}
}(function( $ ) {

var datepicker = $.datepicker;

/* Afrikaans initialisation for the jQuery UI date picker plugin. */
/* Written by Renier Pretorius. */


datepicker.regional['af'] = {
	closeText: 'Selekteer',
	prevText: 'Vorige',
	nextText: 'Volgende',
	currentText: 'Vandag',
	monthNames: ['Januarie','Februarie','Maart','April','Mei','Junie',
	'Julie','Augustus','September','Oktober','November','Desember'],
	monthNamesShort: ['Jan', 'Feb', 'Mrt', 'Apr', 'Mei', 'Jun',
	'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Des'],
	dayNames: ['Sondag', 'Maandag', 'Dinsdag', 'Woensdag', 'Donderdag', 'Vrydag', 'Saterdag'],
	dayNamesShort: ['Son', 'Maa', 'Din', 'Woe', 'Don', 'Vry', 'Sat'],
	dayNamesMin: ['So','Ma','Di','Wo','Do','Vr','Sa'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['af']);

var i18nDatepickerAf = datepicker.regional['af'];


/* Algerian Arabic Translation for jQuery UI date picker plugin. (can be used for Tunisia)*/
/* Mohamed Cherif BOUCHELAGHEM -- cherifbouchelaghem@yahoo.fr */



datepicker.regional['ar-DZ'] = {
	closeText: '\u0625\u063a\u0644\u0627\u0642',
	prevText: '&#x3C;\u0627\u0644\u0633\u0627\u0628\u0642',
	nextText: '\u0627\u0644\u062a\u0627\u0644\u064a&#x3E;',
	currentText: '\u0627\u0644\u064a\u0648\u0645',
	monthNames: ['\u062c\u0627\u0646\u0641\u064a', '\u0641\u064a\u0641\u0631\u064a', '\u0645\u0627\u0631\u0633', '\u0623\u0641\u0631\u064a\u0644', '\u0645\u0627\u064a', '\u062c\u0648\u0627\u0646',
	'\u062c\u0648\u064a\u0644\u064a\u0629', '\u0623\u0648\u062a', '\u0633\u0628\u062a\u0645\u0628\u0631','\u0623\u0643\u062a\u0648\u0628\u0631', '\u0646\u0648\u0641\u0645\u0628\u0631', '\u062f\u064a\u0633\u0645\u0628\u0631'],
	monthNamesShort: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'],
	dayNames: ['\u0627\u0644\u0623\u062d\u062f', '\u0627\u0644\u0627\u062b\u0646\u064a\u0646', '\u0627\u0644\u062b\u0644\u0627\u062b\u0627\u0621', '\u0627\u0644\u0623\u0631\u0628\u0639\u0627\u0621', '\u0627\u0644\u062e\u0645\u064a\u0633', '\u0627\u0644\u062c\u0645\u0639\u0629', '\u0627\u0644\u0633\u0628\u062a'],
	dayNamesShort: ['\u0627\u0644\u0623\u062d\u062f', '\u0627\u0644\u0627\u062b\u0646\u064a\u0646', '\u0627\u0644\u062b\u0644\u0627\u062b\u0627\u0621', '\u0627\u0644\u0623\u0631\u0628\u0639\u0627\u0621', '\u0627\u0644\u062e\u0645\u064a\u0633', '\u0627\u0644\u062c\u0645\u0639\u0629', '\u0627\u0644\u0633\u0628\u062a'],
	dayNamesMin: ['\u0627\u0644\u0623\u062d\u062f', '\u0627\u0644\u0627\u062b\u0646\u064a\u0646', '\u0627\u0644\u062b\u0644\u0627\u062b\u0627\u0621', '\u0627\u0644\u0623\u0631\u0628\u0639\u0627\u0621', '\u0627\u0644\u062e\u0645\u064a\u0633', '\u0627\u0644\u062c\u0645\u0639\u0629', '\u0627\u0644\u0633\u0628\u062a'],
	weekHeader: '\u0623\u0633\u0628\u0648\u0639',
	dateFormat: 'dd/mm/yy',
	firstDay: 6,
		isRTL: true,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ar-DZ']);

var i18nDatepickerArDz = datepicker.regional['ar-DZ'];


/* Arabic Translation for jQuery UI date picker plugin. */
/* Khaled Alhourani -- me@khaledalhourani.com */
/* NOTE: monthNames are the original months names and they are the Arabic names, not the new months name \u0641\u0628\u0631\u0627\u064a\u0631 - \u064a\u0646\u0627\u064a\u0631 and there isn't any Arabic roots for these months */


datepicker.regional['ar'] = {
	closeText: '\u0625\u063a\u0644\u0627\u0642',
	prevText: '&#x3C;\u0627\u0644\u0633\u0627\u0628\u0642',
	nextText: '\u0627\u0644\u062a\u0627\u0644\u064a&#x3E;',
	currentText: '\u0627\u0644\u064a\u0648\u0645',
	monthNames: ['\u0643\u0627\u0646\u0648\u0646 \u0627\u0644\u062b\u0627\u0646\u064a', '\u0634\u0628\u0627\u0637', '\u0622\u0630\u0627\u0631', '\u0646\u064a\u0633\u0627\u0646', '\u0645\u0627\u064a\u0648', '\u062d\u0632\u064a\u0631\u0627\u0646',
	'\u062a\u0645\u0648\u0632', '\u0622\u0628', '\u0623\u064a\u0644\u0648\u0644',	'\u062a\u0634\u0631\u064a\u0646 \u0627\u0644\u0623\u0648\u0644', '\u062a\u0634\u0631\u064a\u0646 \u0627\u0644\u062b\u0627\u0646\u064a', '\u0643\u0627\u0646\u0648\u0646 \u0627\u0644\u0623\u0648\u0644'],
	monthNamesShort: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'],
	dayNames: ['\u0627\u0644\u0623\u062d\u062f', '\u0627\u0644\u0627\u062b\u0646\u064a\u0646', '\u0627\u0644\u062b\u0644\u0627\u062b\u0627\u0621', '\u0627\u0644\u0623\u0631\u0628\u0639\u0627\u0621', '\u0627\u0644\u062e\u0645\u064a\u0633', '\u0627\u0644\u062c\u0645\u0639\u0629', '\u0627\u0644\u0633\u0628\u062a'],
	dayNamesShort: ['\u0627\u0644\u0623\u062d\u062f', '\u0627\u0644\u0627\u062b\u0646\u064a\u0646', '\u0627\u0644\u062b\u0644\u0627\u062b\u0627\u0621', '\u0627\u0644\u0623\u0631\u0628\u0639\u0627\u0621', '\u0627\u0644\u062e\u0645\u064a\u0633', '\u0627\u0644\u062c\u0645\u0639\u0629', '\u0627\u0644\u0633\u0628\u062a'],
	dayNamesMin: ['\u062d', '\u0646', '\u062b', '\u0631', '\u062e', '\u062c', '\u0633'],
	weekHeader: '\u0623\u0633\u0628\u0648\u0639',
	dateFormat: 'dd/mm/yy',
	firstDay: 6,
		isRTL: true,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ar']);

var i18nDatepickerAr = datepicker.regional['ar'];


/* Azerbaijani (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Jamil Najafov (necefov33@gmail.com). */


datepicker.regional['az'] = {
	closeText: 'Ba\u011fla',
	prevText: '&#x3C;Geri',
	nextText: '\u0130r\u0259li&#x3E;',
	currentText: 'Bug\u00fcn',
	monthNames: ['Yanvar','Fevral','Mart','Aprel','May','\u0130yun',
	'\u0130yul','Avqust','Sentyabr','Oktyabr','Noyabr','Dekabr'],
	monthNamesShort: ['Yan','Fev','Mar','Apr','May','\u0130yun',
	'\u0130yul','Avq','Sen','Okt','Noy','Dek'],
	dayNames: ['Bazar','Bazar ert\u0259si','\u00c7\u0259r\u015f\u0259nb\u0259 ax\u015fam\u0131','\u00c7\u0259r\u015f\u0259nb\u0259','C\u00fcm\u0259 ax\u015fam\u0131','C\u00fcm\u0259','\u015e\u0259nb\u0259'],
	dayNamesShort: ['B','Be','\u00c7a','\u00c7','Ca','C','\u015e'],
	dayNamesMin: ['B','B','\u00c7','\u0421','\u00c7','C','\u015e'],
	weekHeader: 'Hf',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['az']);

var i18nDatepickerAz = datepicker.regional['az'];


/* Belarusian initialisation for the jQuery UI date picker plugin. */
/* Written by Pavel Selitskas <p.selitskas@gmail.com> */


datepicker.regional['be'] = {
	closeText: '\u0417\u0430\u0447\u044b\u043d\u0456\u0446\u044c',
	prevText: '&larr;\u041f\u0430\u043f\u044f\u0440.',
	nextText: '\u041d\u0430\u0441\u0442.&rarr;',
	currentText: '\u0421\u0451\u043d\u044c\u043d\u044f',
	monthNames: ['\u0421\u0442\u0443\u0434\u0437\u0435\u043d\u044c','\u041b\u044e\u0442\u044b','\u0421\u0430\u043a\u0430\u0432\u0456\u043a','\u041a\u0440\u0430\u0441\u0430\u0432\u0456\u043a','\u0422\u0440\u0430\u0432\u0435\u043d\u044c','\u0427\u044d\u0440\u0432\u0435\u043d\u044c',
	'\u041b\u0456\u043f\u0435\u043d\u044c','\u0416\u043d\u0456\u0432\u0435\u043d\u044c','\u0412\u0435\u0440\u0430\u0441\u0435\u043d\u044c','\u041a\u0430\u0441\u0442\u0440\u044b\u0447\u043d\u0456\u043a','\u041b\u0456\u0441\u0442\u0430\u043f\u0430\u0434','\u0421\u044c\u043d\u0435\u0436\u0430\u043d\u044c'],
	monthNamesShort: ['\u0421\u0442\u0443','\u041b\u044e\u0442','\u0421\u0430\u043a','\u041a\u0440\u0430','\u0422\u0440\u0430','\u0427\u044d\u0440',
	'\u041b\u0456\u043f','\u0416\u043d\u0456','\u0412\u0435\u0440','\u041a\u0430\u0441','\u041b\u0456\u0441','\u0421\u044c\u043d'],
	dayNames: ['\u043d\u044f\u0434\u0437\u0435\u043b\u044f','\u043f\u0430\u043d\u044f\u0434\u0437\u0435\u043b\u0430\u043a','\u0430\u045e\u0442\u043e\u0440\u0430\u043a','\u0441\u0435\u0440\u0430\u0434\u0430','\u0447\u0430\u0446\u044c\u0432\u0435\u0440','\u043f\u044f\u0442\u043d\u0456\u0446\u0430','\u0441\u0443\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u043d\u0434\u0437','\u043f\u043d\u0434','\u0430\u045e\u0442','\u0441\u0440\u0434','\u0447\u0446\u0432','\u043f\u0442\u043d','\u0441\u0431\u0442'],
	dayNamesMin: ['\u041d\u0434','\u041f\u043d','\u0410\u045e','\u0421\u0440','\u0427\u0446','\u041f\u0442','\u0421\u0431'],
	weekHeader: '\u0422\u0434',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['be']);

var i18nDatepickerBe = datepicker.regional['be'];


/* Bulgarian initialisation for the jQuery UI date picker plugin. */
/* Written by Stoyan Kyosev (http://svest.org). */


datepicker.regional['bg'] = {
	closeText: '\u0437\u0430\u0442\u0432\u043e\u0440\u0438',
	prevText: '&#x3C;\u043d\u0430\u0437\u0430\u0434',
	nextText: '\u043d\u0430\u043f\u0440\u0435\u0434&#x3E;',
	nextBigText: '&#x3E;&#x3E;',
	currentText: '\u0434\u043d\u0435\u0441',
	monthNames: ['\u042f\u043d\u0443\u0430\u0440\u0438','\u0424\u0435\u0432\u0440\u0443\u0430\u0440\u0438','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0438\u043b','\u041c\u0430\u0439','\u042e\u043d\u0438',
	'\u042e\u043b\u0438','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043f\u0442\u0435\u043c\u0432\u0440\u0438','\u041e\u043a\u0442\u043e\u043c\u0432\u0440\u0438','\u041d\u043e\u0435\u043c\u0432\u0440\u0438','\u0414\u0435\u043a\u0435\u043c\u0432\u0440\u0438'],
	monthNamesShort: ['\u042f\u043d\u0443','\u0424\u0435\u0432','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0439','\u042e\u043d\u0438',
	'\u042e\u043b\u0438','\u0410\u0432\u0433','\u0421\u0435\u043f','\u041e\u043a\u0442','\u041d\u043e\u0432','\u0414\u0435\u043a'],
	dayNames: ['\u041d\u0435\u0434\u0435\u043b\u044f','\u041f\u043e\u043d\u0435\u0434\u0435\u043b\u043d\u0438\u043a','\u0412\u0442\u043e\u0440\u043d\u0438\u043a','\u0421\u0440\u044f\u0434\u0430','\u0427\u0435\u0442\u0432\u044a\u0440\u0442\u044a\u043a','\u041f\u0435\u0442\u044a\u043a','\u0421\u044a\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u041d\u0435\u0434','\u041f\u043e\u043d','\u0412\u0442\u043e','\u0421\u0440\u044f','\u0427\u0435\u0442','\u041f\u0435\u0442','\u0421\u044a\u0431'],
	dayNamesMin: ['\u041d\u0435','\u041f\u043e','\u0412\u0442','\u0421\u0440','\u0427\u0435','\u041f\u0435','\u0421\u044a'],
	weekHeader: 'Wk',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['bg']);

var i18nDatepickerBg = datepicker.regional['bg'];


/* Bosnian i18n for the jQuery UI date picker plugin. */
/* Written by Kenan Konjo. */


datepicker.regional['bs'] = {
	closeText: 'Zatvori',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: 'Danas',
	monthNames: ['Januar','Februar','Mart','April','Maj','Juni',
	'Juli','August','Septembar','Oktobar','Novembar','Decembar'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','Aug','Sep','Okt','Nov','Dec'],
	dayNames: ['Nedelja','Ponedeljak','Utorak','Srijeda','\u010cetvrtak','Petak','Subota'],
	dayNamesShort: ['Ned','Pon','Uto','Sri','\u010cet','Pet','Sub'],
	dayNamesMin: ['Ne','Po','Ut','Sr','\u010ce','Pe','Su'],
	weekHeader: 'Wk',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['bs']);

var i18nDatepickerBs = datepicker.regional['bs'];


/* Inicialitzaci\u00f3 en catal\u00e0 per a l'extensi\u00f3 'UI date picker' per jQuery. */
/* Writers: (joan.leon@gmail.com). */


datepicker.regional['ca'] = {
	closeText: 'Tanca',
	prevText: 'Anterior',
	nextText: 'Seg\u00fcent',
	currentText: 'Avui',
	monthNames: ['gener','febrer','mar\u00e7','abril','maig','juny',
	'juliol','agost','setembre','octubre','novembre','desembre'],
	monthNamesShort: ['gen','feb','mar\u00e7','abr','maig','juny',
	'jul','ag','set','oct','nov','des'],
	dayNames: ['diumenge','dilluns','dimarts','dimecres','dijous','divendres','dissabte'],
	dayNamesShort: ['dg','dl','dt','dc','dj','dv','ds'],
	dayNamesMin: ['dg','dl','dt','dc','dj','dv','ds'],
	weekHeader: 'Set',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ca']);

var i18nDatepickerCa = datepicker.regional['ca'];


/* Czech initialisation for the jQuery UI date picker plugin. */
/* Written by Tomas Muller (tomas@tomas-muller.net). */


datepicker.regional['cs'] = {
	closeText: 'Zav\u0159\u00edt',
	prevText: '&#x3C;D\u0159\u00edve',
	nextText: 'Pozd\u011bji&#x3E;',
	currentText: 'Nyn\u00ed',
	monthNames: ['leden','\u00fanor','b\u0159ezen','duben','kv\u011bten','\u010derven',
	'\u010dervenec','srpen','z\u00e1\u0159\u00ed','\u0159\u00edjen','listopad','prosinec'],
	monthNamesShort: ['led','\u00fano','b\u0159e','dub','kv\u011b','\u010der',
	'\u010dvc','srp','z\u00e1\u0159','\u0159\u00edj','lis','pro'],
	dayNames: ['ned\u011ble', 'pond\u011bl\u00ed', '\u00fater\u00fd', 'st\u0159eda', '\u010dtvrtek', 'p\u00e1tek', 'sobota'],
	dayNamesShort: ['ne', 'po', '\u00fat', 'st', '\u010dt', 'p\u00e1', 'so'],
	dayNamesMin: ['ne','po','\u00fat','st','\u010dt','p\u00e1','so'],
	weekHeader: 'T\u00fdd',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['cs']);

var i18nDatepickerCs = datepicker.regional['cs'];


/* Welsh/UK initialisation for the jQuery UI date picker plugin. */
/* Written by William Griffiths. */


datepicker.regional['cy-GB'] = {
	closeText: 'Done',
	prevText: 'Prev',
	nextText: 'Next',
	currentText: 'Today',
	monthNames: ['Ionawr','Chwefror','Mawrth','Ebrill','Mai','Mehefin',
	'Gorffennaf','Awst','Medi','Hydref','Tachwedd','Rhagfyr'],
	monthNamesShort: ['Ion', 'Chw', 'Maw', 'Ebr', 'Mai', 'Meh',
	'Gor', 'Aws', 'Med', 'Hyd', 'Tac', 'Rha'],
	dayNames: ['Dydd Sul', 'Dydd Llun', 'Dydd Mawrth', 'Dydd Mercher', 'Dydd Iau', 'Dydd Gwener', 'Dydd Sadwrn'],
	dayNamesShort: ['Sul', 'Llu', 'Maw', 'Mer', 'Iau', 'Gwe', 'Sad'],
	dayNamesMin: ['Su','Ll','Ma','Me','Ia','Gw','Sa'],
	weekHeader: 'Wy',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['cy-GB']);

var i18nDatepickerCyGb = datepicker.regional['cy-GB'];


/* Danish initialisation for the jQuery UI date picker plugin. */
/* Written by Jan Christensen ( deletestuff@gmail.com). */


datepicker.regional['da'] = {
	closeText: 'Luk',
	prevText: '&#x3C;Forrige',
	nextText: 'N\u00e6ste&#x3E;',
	currentText: 'Idag',
	monthNames: ['Januar','Februar','Marts','April','Maj','Juni',
	'Juli','August','September','Oktober','November','December'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','Aug','Sep','Okt','Nov','Dec'],
	dayNames: ['S\u00f8ndag','Mandag','Tirsdag','Onsdag','Torsdag','Fredag','L\u00f8rdag'],
	dayNamesShort: ['S\u00f8n','Man','Tir','Ons','Tor','Fre','L\u00f8r'],
	dayNamesMin: ['S\u00f8','Ma','Ti','On','To','Fr','L\u00f8'],
	weekHeader: 'Uge',
	dateFormat: 'dd-mm-yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['da']);

var i18nDatepickerDa = datepicker.regional['da'];


/* German initialisation for the jQuery UI date picker plugin. */
/* Written by Milian Wolff (mail@milianw.de). */


datepicker.regional['de'] = {
	closeText: 'Schlie\u00dfen',
	prevText: '&#x3C;Zur\u00fcck',
	nextText: 'Vor&#x3E;',
	currentText: 'Heute',
	monthNames: ['Januar','Februar','M\u00e4rz','April','Mai','Juni',
	'Juli','August','September','Oktober','November','Dezember'],
	monthNamesShort: ['Jan','Feb','M\u00e4r','Apr','Mai','Jun',
	'Jul','Aug','Sep','Okt','Nov','Dez'],
	dayNames: ['Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag'],
	dayNamesShort: ['So','Mo','Di','Mi','Do','Fr','Sa'],
	dayNamesMin: ['So','Mo','Di','Mi','Do','Fr','Sa'],
	weekHeader: 'KW',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['de']);

var i18nDatepickerDe = datepicker.regional['de'];


/* Greek (el) initialisation for the jQuery UI date picker plugin. */
/* Written by Alex Cicovic (http://www.alexcicovic.com) */


datepicker.regional['el'] = {
	closeText: '\u039a\u03bb\u03b5\u03af\u03c3\u03b9\u03bc\u03bf',
	prevText: '\u03a0\u03c1\u03bf\u03b7\u03b3\u03bf\u03cd\u03bc\u03b5\u03bd\u03bf\u03c2',
	nextText: '\u0395\u03c0\u03cc\u03bc\u03b5\u03bd\u03bf\u03c2',
	currentText: '\u03a4\u03c1\u03ad\u03c7\u03c9\u03bd \u039c\u03ae\u03bd\u03b1\u03c2',
	monthNames: ['\u0399\u03b1\u03bd\u03bf\u03c5\u03ac\u03c1\u03b9\u03bf\u03c2','\u03a6\u03b5\u03b2\u03c1\u03bf\u03c5\u03ac\u03c1\u03b9\u03bf\u03c2','\u039c\u03ac\u03c1\u03c4\u03b9\u03bf\u03c2','\u0391\u03c0\u03c1\u03af\u03bb\u03b9\u03bf\u03c2','\u039c\u03ac\u03b9\u03bf\u03c2','\u0399\u03bf\u03cd\u03bd\u03b9\u03bf\u03c2',
	'\u0399\u03bf\u03cd\u03bb\u03b9\u03bf\u03c2','\u0391\u03cd\u03b3\u03bf\u03c5\u03c3\u03c4\u03bf\u03c2','\u03a3\u03b5\u03c0\u03c4\u03ad\u03bc\u03b2\u03c1\u03b9\u03bf\u03c2','\u039f\u03ba\u03c4\u03ce\u03b2\u03c1\u03b9\u03bf\u03c2','\u039d\u03bf\u03ad\u03bc\u03b2\u03c1\u03b9\u03bf\u03c2','\u0394\u03b5\u03ba\u03ad\u03bc\u03b2\u03c1\u03b9\u03bf\u03c2'],
	monthNamesShort: ['\u0399\u03b1\u03bd','\u03a6\u03b5\u03b2','\u039c\u03b1\u03c1','\u0391\u03c0\u03c1','\u039c\u03b1\u03b9','\u0399\u03bf\u03c5\u03bd',
	'\u0399\u03bf\u03c5\u03bb','\u0391\u03c5\u03b3','\u03a3\u03b5\u03c0','\u039f\u03ba\u03c4','\u039d\u03bf\u03b5','\u0394\u03b5\u03ba'],
	dayNames: ['\u039a\u03c5\u03c1\u03b9\u03b1\u03ba\u03ae','\u0394\u03b5\u03c5\u03c4\u03ad\u03c1\u03b1','\u03a4\u03c1\u03af\u03c4\u03b7','\u03a4\u03b5\u03c4\u03ac\u03c1\u03c4\u03b7','\u03a0\u03ad\u03bc\u03c0\u03c4\u03b7','\u03a0\u03b1\u03c1\u03b1\u03c3\u03ba\u03b5\u03c5\u03ae','\u03a3\u03ac\u03b2\u03b2\u03b1\u03c4\u03bf'],
	dayNamesShort: ['\u039a\u03c5\u03c1','\u0394\u03b5\u03c5','\u03a4\u03c1\u03b9','\u03a4\u03b5\u03c4','\u03a0\u03b5\u03bc','\u03a0\u03b1\u03c1','\u03a3\u03b1\u03b2'],
	dayNamesMin: ['\u039a\u03c5','\u0394\u03b5','\u03a4\u03c1','\u03a4\u03b5','\u03a0\u03b5','\u03a0\u03b1','\u03a3\u03b1'],
	weekHeader: '\u0395\u03b2\u03b4',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['el']);

var i18nDatepickerEl = datepicker.regional['el'];


/* English/Australia initialisation for the jQuery UI date picker plugin. */
/* Based on the en-GB initialisation. */


datepicker.regional['en-AU'] = {
	closeText: 'Done',
	prevText: 'Prev',
	nextText: 'Next',
	currentText: 'Today',
	monthNames: ['January','February','March','April','May','June',
	'July','August','September','October','November','December'],
	monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
	'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
	dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
	dayNamesShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
	dayNamesMin: ['Su','Mo','Tu','We','Th','Fr','Sa'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['en-AU']);

var i18nDatepickerEnAu = datepicker.regional['en-AU'];


/* English/UK initialisation for the jQuery UI date picker plugin. */
/* Written by Stuart. */


datepicker.regional['en-GB'] = {
	closeText: 'Done',
	prevText: 'Prev',
	nextText: 'Next',
	currentText: 'Today',
	monthNames: ['January','February','March','April','May','June',
	'July','August','September','October','November','December'],
	monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
	'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
	dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
	dayNamesShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
	dayNamesMin: ['Su','Mo','Tu','We','Th','Fr','Sa'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['en-GB']);

var i18nDatepickerEnGb = datepicker.regional['en-GB'];


/* English/New Zealand initialisation for the jQuery UI date picker plugin. */
/* Based on the en-GB initialisation. */


datepicker.regional['en-NZ'] = {
	closeText: 'Done',
	prevText: 'Prev',
	nextText: 'Next',
	currentText: 'Today',
	monthNames: ['January','February','March','April','May','June',
	'July','August','September','October','November','December'],
	monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
	'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
	dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
	dayNamesShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
	dayNamesMin: ['Su','Mo','Tu','We','Th','Fr','Sa'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['en-NZ']);

var i18nDatepickerEnNz = datepicker.regional['en-NZ'];


/* Esperanto initialisation for the jQuery UI date picker plugin. */
/* Written by Olivier M. (olivierweb@ifrance.com). */


datepicker.regional['eo'] = {
	closeText: 'Fermi',
	prevText: '&#x3C;Anta',
	nextText: 'Sekv&#x3E;',
	currentText: 'Nuna',
	monthNames: ['Januaro','Februaro','Marto','Aprilo','Majo','Junio',
	'Julio','A\u016dgusto','Septembro','Oktobro','Novembro','Decembro'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','A\u016dg','Sep','Okt','Nov','Dec'],
	dayNames: ['Diman\u0109o','Lundo','Mardo','Merkredo','\u0134a\u016ddo','Vendredo','Sabato'],
	dayNamesShort: ['Dim','Lun','Mar','Mer','\u0134a\u016d','Ven','Sab'],
	dayNamesMin: ['Di','Lu','Ma','Me','\u0134a','Ve','Sa'],
	weekHeader: 'Sb',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['eo']);

var i18nDatepickerEo = datepicker.regional['eo'];


/* Inicializaci\u00f3n en espa\u00f1ol para la extensi\u00f3n 'UI date picker' para jQuery. */
/* Traducido por Vester (xvester@gmail.com). */


datepicker.regional['es'] = {
	closeText: 'Cerrar',
	prevText: '&#x3C;Ant',
	nextText: 'Sig&#x3E;',
	currentText: 'Hoy',
	monthNames: ['enero','febrero','marzo','abril','mayo','junio',
	'julio','agosto','septiembre','octubre','noviembre','diciembre'],
	monthNamesShort: ['ene','feb','mar','abr','may','jun',
	'jul','ago','sep','oct','nov','dic'],
	dayNames: ['domingo','lunes','martes','mi\u00e9rcoles','jueves','viernes','s\u00e1bado'],
	dayNamesShort: ['dom','lun','mar','mi\u00e9','jue','vie','s\u00e1b'],
	dayNamesMin: ['D','L','M','X','J','V','S'],
	weekHeader: 'Sm',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['es']);

var i18nDatepickerEs = datepicker.regional['es'];


/* Estonian initialisation for the jQuery UI date picker plugin. */
/* Written by Mart S\u00f5mermaa (mrts.pydev at gmail com). */


datepicker.regional['et'] = {
	closeText: 'Sulge',
	prevText: 'Eelnev',
	nextText: 'J\u00e4rgnev',
	currentText: 'T\u00e4na',
	monthNames: ['Jaanuar','Veebruar','M\u00e4rts','Aprill','Mai','Juuni',
	'Juuli','August','September','Oktoober','November','Detsember'],
	monthNamesShort: ['Jaan', 'Veebr', 'M\u00e4rts', 'Apr', 'Mai', 'Juuni',
	'Juuli', 'Aug', 'Sept', 'Okt', 'Nov', 'Dets'],
	dayNames: ['P\u00fchap\u00e4ev', 'Esmasp\u00e4ev', 'Teisip\u00e4ev', 'Kolmap\u00e4ev', 'Neljap\u00e4ev', 'Reede', 'Laup\u00e4ev'],
	dayNamesShort: ['P\u00fchap', 'Esmasp', 'Teisip', 'Kolmap', 'Neljap', 'Reede', 'Laup'],
	dayNamesMin: ['P','E','T','K','N','R','L'],
	weekHeader: 'n\u00e4d',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['et']);

var i18nDatepickerEt = datepicker.regional['et'];


/* Karrikas-ek itzulia (karrikas@karrikas.com) */


datepicker.regional['eu'] = {
	closeText: 'Egina',
	prevText: '&#x3C;Aur',
	nextText: 'Hur&#x3E;',
	currentText: 'Gaur',
	monthNames: ['urtarrila','otsaila','martxoa','apirila','maiatza','ekaina',
		'uztaila','abuztua','iraila','urria','azaroa','abendua'],
	monthNamesShort: ['urt.','ots.','mar.','api.','mai.','eka.',
		'uzt.','abu.','ira.','urr.','aza.','abe.'],
	dayNames: ['igandea','astelehena','asteartea','asteazkena','osteguna','ostirala','larunbata'],
	dayNamesShort: ['ig.','al.','ar.','az.','og.','ol.','lr.'],
	dayNamesMin: ['ig','al','ar','az','og','ol','lr'],
	weekHeader: 'As',
	dateFormat: 'yy-mm-dd',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['eu']);

var i18nDatepickerEu = datepicker.regional['eu'];


/* Persian (Farsi) Translation for the jQuery UI date picker plugin. */
/* Javad Mowlanezhad -- jmowla@gmail.com */
/* Jalali calendar should supported soon! (Its implemented but I have to test it) */


datepicker.regional['fa'] = {
	closeText: '\u0628\u0633\u062a\u0646',
	prevText: '&#x3C;\u0642\u0628\u0644\u06cc',
	nextText: '\u0628\u0639\u062f\u06cc&#x3E;',
	currentText: '\u0627\u0645\u0631\u0648\u0632',
	monthNames: [
		'\u0641\u0631\u0648\u0631\u062f\u064a\u0646',
		'\u0627\u0631\u062f\u064a\u0628\u0647\u0634\u062a',
		'\u062e\u0631\u062f\u0627\u062f',
		'\u062a\u064a\u0631',
		'\u0645\u0631\u062f\u0627\u062f',
		'\u0634\u0647\u0631\u064a\u0648\u0631',
		'\u0645\u0647\u0631',
		'\u0622\u0628\u0627\u0646',
		'\u0622\u0630\u0631',
		'\u062f\u06cc',
		'\u0628\u0647\u0645\u0646',
		'\u0627\u0633\u0641\u0646\u062f'
	],
	monthNamesShort: ['1','2','3','4','5','6','7','8','9','10','11','12'],
	dayNames: [
		'\u064a\u06a9\u0634\u0646\u0628\u0647',
		'\u062f\u0648\u0634\u0646\u0628\u0647',
		'\u0633\u0647\u200c\u0634\u0646\u0628\u0647',
		'\u0686\u0647\u0627\u0631\u0634\u0646\u0628\u0647',
		'\u067e\u0646\u062c\u0634\u0646\u0628\u0647',
		'\u062c\u0645\u0639\u0647',
		'\u0634\u0646\u0628\u0647'
	],
	dayNamesShort: [
		'\u06cc',
		'\u062f',
		'\u0633',
		'\u0686',
		'\u067e',
		'\u062c',
		'\u0634'
	],
	dayNamesMin: [
		'\u06cc',
		'\u062f',
		'\u0633',
		'\u0686',
		'\u067e',
		'\u062c',
		'\u0634'
	],
	weekHeader: '\u0647\u0641',
	dateFormat: 'yy/mm/dd',
	firstDay: 6,
	isRTL: true,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['fa']);

var i18nDatepickerFa = datepicker.regional['fa'];


/* Finnish initialisation for the jQuery UI date picker plugin. */
/* Written by Harri Kilpi\u00f6 (harrikilpio@gmail.com). */


datepicker.regional['fi'] = {
	closeText: 'Sulje',
	prevText: '&#xAB;Edellinen',
	nextText: 'Seuraava&#xBB;',
	currentText: 'T\u00e4n\u00e4\u00e4n',
	monthNames: ['Tammikuu','Helmikuu','Maaliskuu','Huhtikuu','Toukokuu','Kes\u00e4kuu',
	'Hein\u00e4kuu','Elokuu','Syyskuu','Lokakuu','Marraskuu','Joulukuu'],
	monthNamesShort: ['Tammi','Helmi','Maalis','Huhti','Touko','Kes\u00e4',
	'Hein\u00e4','Elo','Syys','Loka','Marras','Joulu'],
	dayNamesShort: ['Su','Ma','Ti','Ke','To','Pe','La'],
	dayNames: ['Sunnuntai','Maanantai','Tiistai','Keskiviikko','Torstai','Perjantai','Lauantai'],
	dayNamesMin: ['Su','Ma','Ti','Ke','To','Pe','La'],
	weekHeader: 'Vk',
	dateFormat: 'd.m.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['fi']);

var i18nDatepickerFi = datepicker.regional['fi'];


/* Faroese initialisation for the jQuery UI date picker plugin */
/* Written by Sverri Mohr Olsen, sverrimo@gmail.com */


datepicker.regional['fo'] = {
	closeText: 'Lat aftur',
	prevText: '&#x3C;Fyrra',
	nextText: 'N\u00e6sta&#x3E;',
	currentText: '\u00cd dag',
	monthNames: ['Januar','Februar','Mars','Apr\u00edl','Mei','Juni',
	'Juli','August','September','Oktober','November','Desember'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Mei','Jun',
	'Jul','Aug','Sep','Okt','Nov','Des'],
	dayNames: ['Sunnudagur','M\u00e1nadagur','T\u00fdsdagur','Mikudagur','H\u00f3sdagur','Fr\u00edggjadagur','Leyardagur'],
	dayNamesShort: ['Sun','M\u00e1n','T\u00fds','Mik','H\u00f3s','Fr\u00ed','Ley'],
	dayNamesMin: ['Su','M\u00e1','T\u00fd','Mi','H\u00f3','Fr','Le'],
	weekHeader: 'Vk',
	dateFormat: 'dd-mm-yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['fo']);

var i18nDatepickerFo = datepicker.regional['fo'];


/* Canadian-French initialisation for the jQuery UI date picker plugin. */


datepicker.regional['fr-CA'] = {
	closeText: 'Fermer',
	prevText: 'Pr\u00e9c\u00e9dent',
	nextText: 'Suivant',
	currentText: 'Aujourd\'hui',
	monthNames: ['janvier', 'f\u00e9vrier', 'mars', 'avril', 'mai', 'juin',
		'juillet', 'ao\u00fbt', 'septembre', 'octobre', 'novembre', 'd\u00e9cembre'],
	monthNamesShort: ['janv.', 'f\u00e9vr.', 'mars', 'avril', 'mai', 'juin',
		'juil.', 'ao\u00fbt', 'sept.', 'oct.', 'nov.', 'd\u00e9c.'],
	dayNames: ['dimanche', 'lundi', 'mardi', 'mercredi', 'jeudi', 'vendredi', 'samedi'],
	dayNamesShort: ['dim.', 'lun.', 'mar.', 'mer.', 'jeu.', 'ven.', 'sam.'],
	dayNamesMin: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
	weekHeader: 'Sem.',
	dateFormat: 'yy-mm-dd',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
};
datepicker.setDefaults(datepicker.regional['fr-CA']);

var i18nDatepickerFrCa = datepicker.regional['fr-CA'];


/* Swiss-French initialisation for the jQuery UI date picker plugin. */
/* Written Martin Voelkle (martin.voelkle@e-tc.ch). */


datepicker.regional['fr-CH'] = {
	closeText: 'Fermer',
	prevText: '&#x3C;Pr\u00e9c',
	nextText: 'Suiv&#x3E;',
	currentText: 'Courant',
	monthNames: ['janvier', 'f\u00e9vrier', 'mars', 'avril', 'mai', 'juin',
		'juillet', 'ao\u00fbt', 'septembre', 'octobre', 'novembre', 'd\u00e9cembre'],
	monthNamesShort: ['janv.', 'f\u00e9vr.', 'mars', 'avril', 'mai', 'juin',
		'juil.', 'ao\u00fbt', 'sept.', 'oct.', 'nov.', 'd\u00e9c.'],
	dayNames: ['dimanche', 'lundi', 'mardi', 'mercredi', 'jeudi', 'vendredi', 'samedi'],
	dayNamesShort: ['dim.', 'lun.', 'mar.', 'mer.', 'jeu.', 'ven.', 'sam.'],
	dayNamesMin: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
	weekHeader: 'Sm',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['fr-CH']);

var i18nDatepickerFrCh = datepicker.regional['fr-CH'];


/* French initialisation for the jQuery UI date picker plugin. */
/* Written by Keith Wood (kbwood{at}iinet.com.au),
			  St\u00e9phane Nahmani (sholby@sholby.net),
			  St\u00e9phane Raimbault <stephane.raimbault@gmail.com> */


datepicker.regional['fr'] = {
	closeText: 'Fermer',
	prevText: 'Pr\u00e9c\u00e9dent',
	nextText: 'Suivant',
	currentText: 'Aujourd\'hui',
	monthNames: ['janvier', 'f\u00e9vrier', 'mars', 'avril', 'mai', 'juin',
		'juillet', 'ao\u00fbt', 'septembre', 'octobre', 'novembre', 'd\u00e9cembre'],
	monthNamesShort: ['janv.', 'f\u00e9vr.', 'mars', 'avril', 'mai', 'juin',
		'juil.', 'ao\u00fbt', 'sept.', 'oct.', 'nov.', 'd\u00e9c.'],
	dayNames: ['dimanche', 'lundi', 'mardi', 'mercredi', 'jeudi', 'vendredi', 'samedi'],
	dayNamesShort: ['dim.', 'lun.', 'mar.', 'mer.', 'jeu.', 'ven.', 'sam.'],
	dayNamesMin: ['D','L','M','M','J','V','S'],
	weekHeader: 'Sem.',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['fr']);

var i18nDatepickerFr = datepicker.regional['fr'];


/* Galician localization for 'UI date picker' jQuery extension. */
/* Translated by Jorge Barreiro <yortx.barry@gmail.com>. */


datepicker.regional['gl'] = {
	closeText: 'Pechar',
	prevText: '&#x3C;Ant',
	nextText: 'Seg&#x3E;',
	currentText: 'Hoxe',
	monthNames: ['Xaneiro','Febreiro','Marzo','Abril','Maio','Xu\u00f1o',
	'Xullo','Agosto','Setembro','Outubro','Novembro','Decembro'],
	monthNamesShort: ['Xan','Feb','Mar','Abr','Mai','Xu\u00f1',
	'Xul','Ago','Set','Out','Nov','Dec'],
	dayNames: ['Domingo','Luns','Martes','M\u00e9rcores','Xoves','Venres','S\u00e1bado'],
	dayNamesShort: ['Dom','Lun','Mar','M\u00e9r','Xov','Ven','S\u00e1b'],
	dayNamesMin: ['Do','Lu','Ma','M\u00e9','Xo','Ve','S\u00e1'],
	weekHeader: 'Sm',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['gl']);

var i18nDatepickerGl = datepicker.regional['gl'];


/* Hebrew initialisation for the UI Datepicker extension. */
/* Written by Amir Hardon (ahardon at gmail dot com). */


datepicker.regional['he'] = {
	closeText: '\u05e1\u05d2\u05d5\u05e8',
	prevText: '&#x3C;\u05d4\u05e7\u05d5\u05d3\u05dd',
	nextText: '\u05d4\u05d1\u05d0&#x3E;',
	currentText: '\u05d4\u05d9\u05d5\u05dd',
	monthNames: ['\u05d9\u05e0\u05d5\u05d0\u05e8','\u05e4\u05d1\u05e8\u05d5\u05d0\u05e8','\u05de\u05e8\u05e5','\u05d0\u05e4\u05e8\u05d9\u05dc','\u05de\u05d0\u05d9','\u05d9\u05d5\u05e0\u05d9',
	'\u05d9\u05d5\u05dc\u05d9','\u05d0\u05d5\u05d2\u05d5\u05e1\u05d8','\u05e1\u05e4\u05d8\u05de\u05d1\u05e8','\u05d0\u05d5\u05e7\u05d8\u05d5\u05d1\u05e8','\u05e0\u05d5\u05d1\u05de\u05d1\u05e8','\u05d3\u05e6\u05de\u05d1\u05e8'],
	monthNamesShort: ['\u05d9\u05e0\u05d5','\u05e4\u05d1\u05e8','\u05de\u05e8\u05e5','\u05d0\u05e4\u05e8','\u05de\u05d0\u05d9','\u05d9\u05d5\u05e0\u05d9',
	'\u05d9\u05d5\u05dc\u05d9','\u05d0\u05d5\u05d2','\u05e1\u05e4\u05d8','\u05d0\u05d5\u05e7','\u05e0\u05d5\u05d1','\u05d3\u05e6\u05de'],
	dayNames: ['\u05e8\u05d0\u05e9\u05d5\u05df','\u05e9\u05e0\u05d9','\u05e9\u05dc\u05d9\u05e9\u05d9','\u05e8\u05d1\u05d9\u05e2\u05d9','\u05d7\u05de\u05d9\u05e9\u05d9','\u05e9\u05d9\u05e9\u05d9','\u05e9\u05d1\u05ea'],
	dayNamesShort: ['\u05d0\'','\u05d1\'','\u05d2\'','\u05d3\'','\u05d4\'','\u05d5\'','\u05e9\u05d1\u05ea'],
	dayNamesMin: ['\u05d0\'','\u05d1\'','\u05d2\'','\u05d3\'','\u05d4\'','\u05d5\'','\u05e9\u05d1\u05ea'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: true,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['he']);

var i18nDatepickerHe = datepicker.regional['he'];


/* Hindi initialisation for the jQuery UI date picker plugin. */
/* Written by Michael Dawart. */


datepicker.regional['hi'] = {
	closeText: '\u092c\u0902\u0926',
	prevText: '\u092a\u093f\u091b\u0932\u093e',
	nextText: '\u0905\u0917\u0932\u093e',
	currentText: '\u0906\u091c',
	monthNames: ['\u091c\u0928\u0935\u0930\u0940 ','\u092b\u0930\u0935\u0930\u0940','\u092e\u093e\u0930\u094d\u091a','\u0905\u092a\u094d\u0930\u0947\u0932','\u092e\u0908','\u091c\u0942\u0928',
	'\u091c\u0942\u0932\u093e\u0908','\u0905\u0917\u0938\u094d\u0924 ','\u0938\u093f\u0924\u092e\u094d\u092c\u0930','\u0905\u0915\u094d\u091f\u0942\u092c\u0930','\u0928\u0935\u092e\u094d\u092c\u0930','\u0926\u093f\u0938\u092e\u094d\u092c\u0930'],
	monthNamesShort: ['\u091c\u0928', '\u092b\u0930', '\u092e\u093e\u0930\u094d\u091a', '\u0905\u092a\u094d\u0930\u0947\u0932', '\u092e\u0908', '\u091c\u0942\u0928',
	'\u091c\u0942\u0932\u093e\u0908', '\u0905\u0917', '\u0938\u093f\u0924', '\u0905\u0915\u094d\u091f', '\u0928\u0935', '\u0926\u093f'],
	dayNames: ['\u0930\u0935\u093f\u0935\u093e\u0930', '\u0938\u094b\u092e\u0935\u093e\u0930', '\u092e\u0902\u0917\u0932\u0935\u093e\u0930', '\u092c\u0941\u0927\u0935\u093e\u0930', '\u0917\u0941\u0930\u0941\u0935\u093e\u0930', '\u0936\u0941\u0915\u094d\u0930\u0935\u093e\u0930', '\u0936\u0928\u093f\u0935\u093e\u0930'],
	dayNamesShort: ['\u0930\u0935\u093f', '\u0938\u094b\u092e', '\u092e\u0902\u0917\u0932', '\u092c\u0941\u0927', '\u0917\u0941\u0930\u0941', '\u0936\u0941\u0915\u094d\u0930', '\u0936\u0928\u093f'],
	dayNamesMin: ['\u0930\u0935\u093f', '\u0938\u094b\u092e', '\u092e\u0902\u0917\u0932', '\u092c\u0941\u0927', '\u0917\u0941\u0930\u0941', '\u0936\u0941\u0915\u094d\u0930', '\u0936\u0928\u093f'],
	weekHeader: '\u0939\u092b\u094d\u0924\u093e',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['hi']);

var i18nDatepickerHi = datepicker.regional['hi'];


/* Croatian i18n for the jQuery UI date picker plugin. */
/* Written by Vjekoslav Nesek. */


datepicker.regional['hr'] = {
	closeText: 'Zatvori',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: 'Danas',
	monthNames: ['Sije\u010danj','Velja\u010da','O\u017eujak','Travanj','Svibanj','Lipanj',
	'Srpanj','Kolovoz','Rujan','Listopad','Studeni','Prosinac'],
	monthNamesShort: ['Sij','Velj','O\u017eu','Tra','Svi','Lip',
	'Srp','Kol','Ruj','Lis','Stu','Pro'],
	dayNames: ['Nedjelja','Ponedjeljak','Utorak','Srijeda','\u010cetvrtak','Petak','Subota'],
	dayNamesShort: ['Ned','Pon','Uto','Sri','\u010cet','Pet','Sub'],
	dayNamesMin: ['Ne','Po','Ut','Sr','\u010ce','Pe','Su'],
	weekHeader: 'Tje',
	dateFormat: 'dd.mm.yy.',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['hr']);

var i18nDatepickerHr = datepicker.regional['hr'];


/* Hungarian initialisation for the jQuery UI date picker plugin. */


datepicker.regional['hu'] = {
	closeText: 'bez\u00e1r',
	prevText: 'vissza',
	nextText: 'el\u0151re',
	currentText: 'ma',
	monthNames: ['Janu\u00e1r', 'Febru\u00e1r', 'M\u00e1rcius', '\u00c1prilis', 'M\u00e1jus', 'J\u00fanius',
	'J\u00falius', 'Augusztus', 'Szeptember', 'Okt\u00f3ber', 'November', 'December'],
	monthNamesShort: ['Jan', 'Feb', 'M\u00e1r', '\u00c1pr', 'M\u00e1j', 'J\u00fan',
	'J\u00fal', 'Aug', 'Szep', 'Okt', 'Nov', 'Dec'],
	dayNames: ['Vas\u00e1rnap', 'H\u00e9tf\u0151', 'Kedd', 'Szerda', 'Cs\u00fct\u00f6rt\u00f6k', 'P\u00e9ntek', 'Szombat'],
	dayNamesShort: ['Vas', 'H\u00e9t', 'Ked', 'Sze', 'Cs\u00fc', 'P\u00e9n', 'Szo'],
	dayNamesMin: ['V', 'H', 'K', 'Sze', 'Cs', 'P', 'Szo'],
	weekHeader: 'H\u00e9t',
	dateFormat: 'yy.mm.dd.',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['hu']);

var i18nDatepickerHu = datepicker.regional['hu'];


/* Armenian(UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Levon Zakaryan (levon.zakaryan@gmail.com)*/


datepicker.regional['hy'] = {
	closeText: '\u0553\u0561\u056f\u0565\u056c',
	prevText: '&#x3C;\u0546\u0561\u056d.',
	nextText: '\u0540\u0561\u057b.&#x3E;',
	currentText: '\u0531\u0575\u057d\u0585\u0580',
	monthNames: ['\u0540\u0578\u0582\u0576\u057e\u0561\u0580','\u0553\u0565\u057f\u0580\u057e\u0561\u0580','\u0544\u0561\u0580\u057f','\u0531\u057a\u0580\u056b\u056c','\u0544\u0561\u0575\u056b\u057d','\u0540\u0578\u0582\u0576\u056b\u057d',
	'\u0540\u0578\u0582\u056c\u056b\u057d','\u0555\u0563\u0578\u057d\u057f\u0578\u057d','\u054d\u0565\u057a\u057f\u0565\u0574\u0562\u0565\u0580','\u0540\u0578\u056f\u057f\u0565\u0574\u0562\u0565\u0580','\u0546\u0578\u0575\u0565\u0574\u0562\u0565\u0580','\u0534\u0565\u056f\u057f\u0565\u0574\u0562\u0565\u0580'],
	monthNamesShort: ['\u0540\u0578\u0582\u0576\u057e','\u0553\u0565\u057f\u0580','\u0544\u0561\u0580\u057f','\u0531\u057a\u0580','\u0544\u0561\u0575\u056b\u057d','\u0540\u0578\u0582\u0576\u056b\u057d',
	'\u0540\u0578\u0582\u056c','\u0555\u0563\u057d','\u054d\u0565\u057a','\u0540\u0578\u056f','\u0546\u0578\u0575','\u0534\u0565\u056f'],
	dayNames: ['\u056f\u056b\u0580\u0561\u056f\u056b','\u0565\u056f\u0578\u0582\u0577\u0561\u0562\u0569\u056b','\u0565\u0580\u0565\u0584\u0577\u0561\u0562\u0569\u056b','\u0579\u0578\u0580\u0565\u0584\u0577\u0561\u0562\u0569\u056b','\u0570\u056b\u0576\u0563\u0577\u0561\u0562\u0569\u056b','\u0578\u0582\u0580\u0562\u0561\u0569','\u0577\u0561\u0562\u0561\u0569'],
	dayNamesShort: ['\u056f\u056b\u0580','\u0565\u0580\u056f','\u0565\u0580\u0584','\u0579\u0580\u0584','\u0570\u0576\u0563','\u0578\u0582\u0580\u0562','\u0577\u0562\u0569'],
	dayNamesMin: ['\u056f\u056b\u0580','\u0565\u0580\u056f','\u0565\u0580\u0584','\u0579\u0580\u0584','\u0570\u0576\u0563','\u0578\u0582\u0580\u0562','\u0577\u0562\u0569'],
	weekHeader: '\u0547\u0532\u054f',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['hy']);

var i18nDatepickerHy = datepicker.regional['hy'];


/* Indonesian initialisation for the jQuery UI date picker plugin. */
/* Written by Deden Fathurahman (dedenf@gmail.com). */


datepicker.regional['id'] = {
	closeText: 'Tutup',
	prevText: '&#x3C;mundur',
	nextText: 'maju&#x3E;',
	currentText: 'hari ini',
	monthNames: ['Januari','Februari','Maret','April','Mei','Juni',
	'Juli','Agustus','September','Oktober','Nopember','Desember'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Mei','Jun',
	'Jul','Agus','Sep','Okt','Nop','Des'],
	dayNames: ['Minggu','Senin','Selasa','Rabu','Kamis','Jumat','Sabtu'],
	dayNamesShort: ['Min','Sen','Sel','Rab','kam','Jum','Sab'],
	dayNamesMin: ['Mg','Sn','Sl','Rb','Km','jm','Sb'],
	weekHeader: 'Mg',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['id']);

var i18nDatepickerId = datepicker.regional['id'];


/* Icelandic initialisation for the jQuery UI date picker plugin. */
/* Written by Haukur H. Thorsson (haukur@eskill.is). */


datepicker.regional['is'] = {
	closeText: 'Loka',
	prevText: '&#x3C; Fyrri',
	nextText: 'N\u00e6sti &#x3E;',
	currentText: '\u00cd dag',
	monthNames: ['Jan\u00faar','Febr\u00faar','Mars','Apr\u00edl','Ma\u00ed','J\u00fan\u00ed',
	'J\u00fal\u00ed','\u00c1g\u00fast','September','Okt\u00f3ber','N\u00f3vember','Desember'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Ma\u00ed','J\u00fan',
	'J\u00fal','\u00c1g\u00fa','Sep','Okt','N\u00f3v','Des'],
	dayNames: ['Sunnudagur','M\u00e1nudagur','\u00deri\u00f0judagur','Mi\u00f0vikudagur','Fimmtudagur','F\u00f6studagur','Laugardagur'],
	dayNamesShort: ['Sun','M\u00e1n','\u00deri','Mi\u00f0','Fim','F\u00f6s','Lau'],
	dayNamesMin: ['Su','M\u00e1','\u00der','Mi','Fi','F\u00f6','La'],
	weekHeader: 'Vika',
	dateFormat: 'dd.mm.yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['is']);

var i18nDatepickerIs = datepicker.regional['is'];


/* Italian initialisation for the jQuery UI date picker plugin. */
/* Written by Antonello Pasella (antonello.pasella@gmail.com). */


datepicker.regional['it-CH'] = {
	closeText: 'Chiudi',
	prevText: '&#x3C;Prec',
	nextText: 'Succ&#x3E;',
	currentText: 'Oggi',
	monthNames: ['Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno',
		'Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre'],
	monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu',
		'Lug','Ago','Set','Ott','Nov','Dic'],
	dayNames: ['Domenica','Luned\u00ec','Marted\u00ec','Mercoled\u00ec','Gioved\u00ec','Venerd\u00ec','Sabato'],
	dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'],
	dayNamesMin: ['Do','Lu','Ma','Me','Gi','Ve','Sa'],
	weekHeader: 'Sm',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['it-CH']);

var i18nDatepickerItCh = datepicker.regional['it-CH'];


/* Italian initialisation for the jQuery UI date picker plugin. */
/* Written by Antonello Pasella (antonello.pasella@gmail.com). */


datepicker.regional['it'] = {
	closeText: 'Chiudi',
	prevText: '&#x3C;Prec',
	nextText: 'Succ&#x3E;',
	currentText: 'Oggi',
	monthNames: ['Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno',
		'Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre'],
	monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu',
		'Lug','Ago','Set','Ott','Nov','Dic'],
	dayNames: ['Domenica','Luned\u00ec','Marted\u00ec','Mercoled\u00ec','Gioved\u00ec','Venerd\u00ec','Sabato'],
	dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'],
	dayNamesMin: ['Do','Lu','Ma','Me','Gi','Ve','Sa'],
	weekHeader: 'Sm',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['it']);

var i18nDatepickerIt = datepicker.regional['it'];


/* Japanese initialisation for the jQuery UI date picker plugin. */
/* Written by Kentaro SATO (kentaro@ranvis.com). */


datepicker.regional['ja'] = {
	closeText: '\u9589\u3058\u308b',
	prevText: '&#x3C;\u524d',
	nextText: '\u6b21&#x3E;',
	currentText: '\u4eca\u65e5',
	monthNames: ['1\u6708','2\u6708','3\u6708','4\u6708','5\u6708','6\u6708',
	'7\u6708','8\u6708','9\u6708','10\u6708','11\u6708','12\u6708'],
	monthNamesShort: ['1\u6708','2\u6708','3\u6708','4\u6708','5\u6708','6\u6708',
	'7\u6708','8\u6708','9\u6708','10\u6708','11\u6708','12\u6708'],
	dayNames: ['\u65e5\u66dc\u65e5','\u6708\u66dc\u65e5','\u706b\u66dc\u65e5','\u6c34\u66dc\u65e5','\u6728\u66dc\u65e5','\u91d1\u66dc\u65e5','\u571f\u66dc\u65e5'],
	dayNamesShort: ['\u65e5','\u6708','\u706b','\u6c34','\u6728','\u91d1','\u571f'],
	dayNamesMin: ['\u65e5','\u6708','\u706b','\u6c34','\u6728','\u91d1','\u571f'],
	weekHeader: '\u9031',
	dateFormat: 'yy/mm/dd',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: '\u5e74'};
datepicker.setDefaults(datepicker.regional['ja']);

var i18nDatepickerJa = datepicker.regional['ja'];


/* Georgian (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Lado Lomidze (lado.lomidze@gmail.com). */


datepicker.regional['ka'] = {
	closeText: '\u10d3\u10d0\u10ee\u10e3\u10e0\u10d5\u10d0',
	prevText: '&#x3c; \u10ec\u10d8\u10dc\u10d0',
	nextText: '\u10e8\u10d4\u10db\u10d3\u10d4\u10d2\u10d8 &#x3e;',
	currentText: '\u10d3\u10e6\u10d4\u10e1',
	monthNames: ['\u10d8\u10d0\u10dc\u10d5\u10d0\u10e0\u10d8','\u10d7\u10d4\u10d1\u10d4\u10e0\u10d5\u10d0\u10da\u10d8','\u10db\u10d0\u10e0\u10e2\u10d8','\u10d0\u10de\u10e0\u10d8\u10da\u10d8','\u10db\u10d0\u10d8\u10e1\u10d8','\u10d8\u10d5\u10dc\u10d8\u10e1\u10d8', '\u10d8\u10d5\u10da\u10d8\u10e1\u10d8','\u10d0\u10d2\u10d5\u10d8\u10e1\u10e2\u10dd','\u10e1\u10d4\u10e5\u10e2\u10d4\u10db\u10d1\u10d4\u10e0\u10d8','\u10dd\u10e5\u10e2\u10dd\u10db\u10d1\u10d4\u10e0\u10d8','\u10dc\u10dd\u10d4\u10db\u10d1\u10d4\u10e0\u10d8','\u10d3\u10d4\u10d9\u10d4\u10db\u10d1\u10d4\u10e0\u10d8'],
	monthNamesShort: ['\u10d8\u10d0\u10dc','\u10d7\u10d4\u10d1','\u10db\u10d0\u10e0','\u10d0\u10de\u10e0','\u10db\u10d0\u10d8','\u10d8\u10d5\u10dc', '\u10d8\u10d5\u10da','\u10d0\u10d2\u10d5','\u10e1\u10d4\u10e5','\u10dd\u10e5\u10e2','\u10dc\u10dd\u10d4','\u10d3\u10d4\u10d9'],
	dayNames: ['\u10d9\u10d5\u10d8\u10e0\u10d0','\u10dd\u10e0\u10e8\u10d0\u10d1\u10d0\u10d7\u10d8','\u10e1\u10d0\u10db\u10e8\u10d0\u10d1\u10d0\u10d7\u10d8','\u10dd\u10d7\u10ee\u10e8\u10d0\u10d1\u10d0\u10d7\u10d8','\u10ee\u10e3\u10d7\u10e8\u10d0\u10d1\u10d0\u10d7\u10d8','\u10de\u10d0\u10e0\u10d0\u10e1\u10d9\u10d4\u10d5\u10d8','\u10e8\u10d0\u10d1\u10d0\u10d7\u10d8'],
	dayNamesShort: ['\u10d9\u10d5','\u10dd\u10e0\u10e8','\u10e1\u10d0\u10db','\u10dd\u10d7\u10ee','\u10ee\u10e3\u10d7','\u10de\u10d0\u10e0','\u10e8\u10d0\u10d1'],
	dayNamesMin: ['\u10d9\u10d5','\u10dd\u10e0\u10e8','\u10e1\u10d0\u10db','\u10dd\u10d7\u10ee','\u10ee\u10e3\u10d7','\u10de\u10d0\u10e0','\u10e8\u10d0\u10d1'],
	weekHeader: '\u10d9\u10d5\u10d8\u10e0\u10d0',
	dateFormat: 'dd-mm-yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ka']);

var i18nDatepickerKa = datepicker.regional['ka'];


/* Kazakh (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Dmitriy Karasyov (dmitriy.karasyov@gmail.com). */


datepicker.regional['kk'] = {
	closeText: '\u0416\u0430\u0431\u0443',
	prevText: '&#x3C;\u0410\u043b\u0434\u044b\u04a3\u0493\u044b',
	nextText: '\u041a\u0435\u043b\u0435\u0441\u0456&#x3E;',
	currentText: '\u0411\u04af\u0433\u0456\u043d',
	monthNames: ['\u049a\u0430\u04a3\u0442\u0430\u0440','\u0410\u049b\u043f\u0430\u043d','\u041d\u0430\u0443\u0440\u044b\u0437','\u0421\u04d9\u0443\u0456\u0440','\u041c\u0430\u043c\u044b\u0440','\u041c\u0430\u0443\u0441\u044b\u043c',
	'\u0428\u0456\u043b\u0434\u0435','\u0422\u0430\u043c\u044b\u0437','\u049a\u044b\u0440\u043a\u04af\u0439\u0435\u043a','\u049a\u0430\u0437\u0430\u043d','\u049a\u0430\u0440\u0430\u0448\u0430','\u0416\u0435\u043b\u0442\u043e\u049b\u0441\u0430\u043d'],
	monthNamesShort: ['\u049a\u0430\u04a3','\u0410\u049b\u043f','\u041d\u0430\u0443','\u0421\u04d9\u0443','\u041c\u0430\u043c','\u041c\u0430\u0443',
	'\u0428\u0456\u043b','\u0422\u0430\u043c','\u049a\u044b\u0440','\u049a\u0430\u0437','\u049a\u0430\u0440','\u0416\u0435\u043b'],
	dayNames: ['\u0416\u0435\u043a\u0441\u0435\u043d\u0431\u0456','\u0414\u04af\u0439\u0441\u0435\u043d\u0431\u0456','\u0421\u0435\u0439\u0441\u0435\u043d\u0431\u0456','\u0421\u04d9\u0440\u0441\u0435\u043d\u0431\u0456','\u0411\u0435\u0439\u0441\u0435\u043d\u0431\u0456','\u0416\u04b1\u043c\u0430','\u0421\u0435\u043d\u0431\u0456'],
	dayNamesShort: ['\u0436\u043a\u0441','\u0434\u0441\u043d','\u0441\u0441\u043d','\u0441\u0440\u0441','\u0431\u0441\u043d','\u0436\u043c\u0430','\u0441\u043d\u0431'],
	dayNamesMin: ['\u0416\u043a','\u0414\u0441','\u0421\u0441','\u0421\u0440','\u0411\u0441','\u0416\u043c','\u0421\u043d'],
	weekHeader: '\u041d\u0435',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['kk']);

var i18nDatepickerKk = datepicker.regional['kk'];


/* Khmer initialisation for the jQuery calendar extension. */
/* Written by Chandara Om (chandara.teacher@gmail.com). */


datepicker.regional['km'] = {
	closeText: '\u1792\u17d2\u179c\u17be\u200b\u179a\u17bd\u1785',
	prevText: '\u1798\u17bb\u1793',
	nextText: '\u1794\u1793\u17d2\u1791\u17b6\u1794\u17cb',
	currentText: '\u1790\u17d2\u1784\u17c3\u200b\u1793\u17c1\u17c7',
	monthNames: ['\u1798\u1780\u179a\u17b6','\u1780\u17bb\u1798\u17d2\u1797\u17c8','\u1798\u17b8\u1793\u17b6','\u1798\u17c1\u179f\u17b6','\u17a7\u179f\u1797\u17b6','\u1798\u17b7\u1790\u17bb\u1793\u17b6',
	'\u1780\u1780\u17d2\u1780\u178a\u17b6','\u179f\u17b8\u17a0\u17b6','\u1780\u1789\u17d2\u1789\u17b6','\u178f\u17bb\u179b\u17b6','\u179c\u17b7\u1785\u17d2\u1786\u17b7\u1780\u17b6','\u1792\u17d2\u1793\u17bc'],
	monthNamesShort: ['\u1798\u1780\u179a\u17b6','\u1780\u17bb\u1798\u17d2\u1797\u17c8','\u1798\u17b8\u1793\u17b6','\u1798\u17c1\u179f\u17b6','\u17a7\u179f\u1797\u17b6','\u1798\u17b7\u1790\u17bb\u1793\u17b6',
	'\u1780\u1780\u17d2\u1780\u178a\u17b6','\u179f\u17b8\u17a0\u17b6','\u1780\u1789\u17d2\u1789\u17b6','\u178f\u17bb\u179b\u17b6','\u179c\u17b7\u1785\u17d2\u1786\u17b7\u1780\u17b6','\u1792\u17d2\u1793\u17bc'],
	dayNames: ['\u17a2\u17b6\u1791\u17b7\u178f\u17d2\u1799', '\u1785\u1793\u17d2\u1791', '\u17a2\u1784\u17d2\u1782\u17b6\u179a', '\u1796\u17bb\u1792', '\u1796\u17d2\u179a\u17a0\u179f\u17d2\u1794\u178f\u17b7\u17cd', '\u179f\u17bb\u1780\u17d2\u179a', '\u179f\u17c5\u179a\u17cd'],
	dayNamesShort: ['\u17a2\u17b6', '\u1785', '\u17a2', '\u1796\u17bb', '\u1796\u17d2\u179a\u17a0', '\u179f\u17bb', '\u179f\u17c5'],
	dayNamesMin: ['\u17a2\u17b6', '\u1785', '\u17a2', '\u1796\u17bb', '\u1796\u17d2\u179a\u17a0', '\u179f\u17bb', '\u179f\u17c5'],
	weekHeader: '\u179f\u1794\u17d2\u178a\u17b6\u17a0\u17cd',
	dateFormat: 'dd-mm-yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['km']);

var i18nDatepickerKm = datepicker.regional['km'];


/* Korean initialisation for the jQuery calendar extension. */
/* Written by DaeKwon Kang (ncrash.dk@gmail.com), Edited by Genie. */


datepicker.regional['ko'] = {
	closeText: '\ub2eb\uae30',
	prevText: '\uc774\uc804\ub2ec',
	nextText: '\ub2e4\uc74c\ub2ec',
	currentText: '\uc624\ub298',
	monthNames: ['1\uc6d4','2\uc6d4','3\uc6d4','4\uc6d4','5\uc6d4','6\uc6d4',
	'7\uc6d4','8\uc6d4','9\uc6d4','10\uc6d4','11\uc6d4','12\uc6d4'],
	monthNamesShort: ['1\uc6d4','2\uc6d4','3\uc6d4','4\uc6d4','5\uc6d4','6\uc6d4',
	'7\uc6d4','8\uc6d4','9\uc6d4','10\uc6d4','11\uc6d4','12\uc6d4'],
	dayNames: ['\uc77c\uc694\uc77c','\uc6d4\uc694\uc77c','\ud654\uc694\uc77c','\uc218\uc694\uc77c','\ubaa9\uc694\uc77c','\uae08\uc694\uc77c','\ud1a0\uc694\uc77c'],
	dayNamesShort: ['\uc77c','\uc6d4','\ud654','\uc218','\ubaa9','\uae08','\ud1a0'],
	dayNamesMin: ['\uc77c','\uc6d4','\ud654','\uc218','\ubaa9','\uae08','\ud1a0'],
	weekHeader: 'Wk',
	dateFormat: 'yy-mm-dd',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: '\ub144'};
datepicker.setDefaults(datepicker.regional['ko']);

var i18nDatepickerKo = datepicker.regional['ko'];


/* Kyrgyz (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Sergey Kartashov (ebishkek@yandex.ru). */


datepicker.regional['ky'] = {
	closeText: '\u0416\u0430\u0431\u0443\u0443',
	prevText: '&#x3c;\u041c\u0443\u0440',
	nextText: '\u041a\u0438\u0439&#x3e;',
	currentText: '\u0411\u04af\u0433\u04af\u043d',
	monthNames: ['\u042f\u043d\u0432\u0430\u0440\u044c','\u0424\u0435\u0432\u0440\u0430\u043b\u044c','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0435\u043b\u044c','\u041c\u0430\u0439','\u0418\u044e\u043d\u044c',
	'\u0418\u044e\u043b\u044c','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043d\u0442\u044f\u0431\u0440\u044c','\u041e\u043a\u0442\u044f\u0431\u0440\u044c','\u041d\u043e\u044f\u0431\u0440\u044c','\u0414\u0435\u043a\u0430\u0431\u0440\u044c'],
	monthNamesShort: ['\u042f\u043d\u0432','\u0424\u0435\u0432','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0439','\u0418\u044e\u043d',
	'\u0418\u044e\u043b','\u0410\u0432\u0433','\u0421\u0435\u043d','\u041e\u043a\u0442','\u041d\u043e\u044f','\u0414\u0435\u043a'],
	dayNames: ['\u0436\u0435\u043a\u0448\u0435\u043c\u0431\u0438', '\u0434\u04af\u0439\u0448\u04e9\u043c\u0431\u04af', '\u0448\u0435\u0439\u0448\u0435\u043c\u0431\u0438', '\u0448\u0430\u0440\u0448\u0435\u043c\u0431\u0438', '\u0431\u0435\u0439\u0448\u0435\u043c\u0431\u0438', '\u0436\u0443\u043c\u0430', '\u0438\u0448\u0435\u043c\u0431\u0438'],
	dayNamesShort: ['\u0436\u0435\u043a', '\u0434\u04af\u0439', '\u0448\u0435\u0439', '\u0448\u0430\u0440', '\u0431\u0435\u0439', '\u0436\u0443\u043c', '\u0438\u0448\u0435'],
	dayNamesMin: ['\u0416\u043a','\u0414\u0448','\u0428\u0448','\u0428\u0440','\u0411\u0448','\u0416\u043c','\u0418\u0448'],
	weekHeader: '\u0416\u0443\u043c',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
};
datepicker.setDefaults(datepicker.regional['ky']);

var i18nDatepickerKy = datepicker.regional['ky'];


/* Luxembourgish initialisation for the jQuery UI date picker plugin. */
/* Written by Michel Weimerskirch <michel@weimerskirch.net> */


datepicker.regional['lb'] = {
	closeText: 'F\u00e4erdeg',
	prevText: 'Zr\u00e9ck',
	nextText: 'Weider',
	currentText: 'Haut',
	monthNames: ['Januar','Februar','M\u00e4erz','Abr\u00ebll','Mee','Juni',
	'Juli','August','September','Oktober','November','Dezember'],
	monthNamesShort: ['Jan', 'Feb', 'M\u00e4e', 'Abr', 'Mee', 'Jun',
	'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
	dayNames: ['Sonndeg', 'M\u00e9indeg', 'D\u00ebnschdeg', 'M\u00ebttwoch', 'Donneschdeg', 'Freideg', 'Samschdeg'],
	dayNamesShort: ['Son', 'M\u00e9i', 'D\u00ebn', 'M\u00ebt', 'Don', 'Fre', 'Sam'],
	dayNamesMin: ['So','M\u00e9','D\u00eb','M\u00eb','Do','Fr','Sa'],
	weekHeader: 'W',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['lb']);

var i18nDatepickerLb = datepicker.regional['lb'];


/* Lithuanian (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* @author Arturas Paleicikas <arturas@avalon.lt> */


datepicker.regional['lt'] = {
	closeText: 'U\u017edaryti',
	prevText: '&#x3C;Atgal',
	nextText: 'Pirmyn&#x3E;',
	currentText: '\u0160iandien',
	monthNames: ['Sausis','Vasaris','Kovas','Balandis','Gegu\u017e\u0117','Bir\u017eelis',
	'Liepa','Rugpj\u016btis','Rugs\u0117jis','Spalis','Lapkritis','Gruodis'],
	monthNamesShort: ['Sau','Vas','Kov','Bal','Geg','Bir',
	'Lie','Rugp','Rugs','Spa','Lap','Gru'],
	dayNames: ['sekmadienis','pirmadienis','antradienis','tre\u010diadienis','ketvirtadienis','penktadienis','\u0161e\u0161tadienis'],
	dayNamesShort: ['sek','pir','ant','tre','ket','pen','\u0161e\u0161'],
	dayNamesMin: ['Se','Pr','An','Tr','Ke','Pe','\u0160e'],
	weekHeader: 'SAV',
	dateFormat: 'yy-mm-dd',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['lt']);

var i18nDatepickerLt = datepicker.regional['lt'];


/* Latvian (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* @author Arturas Paleicikas <arturas.paleicikas@metasite.net> */


datepicker.regional['lv'] = {
	closeText: 'Aizv\u0113rt',
	prevText: 'Iepr.',
	nextText: 'N\u0101k.',
	currentText: '\u0160odien',
	monthNames: ['Janv\u0101ris','Febru\u0101ris','Marts','Apr\u012blis','Maijs','J\u016bnijs',
	'J\u016blijs','Augusts','Septembris','Oktobris','Novembris','Decembris'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Mai','J\u016bn',
	'J\u016bl','Aug','Sep','Okt','Nov','Dec'],
	dayNames: ['sv\u0113tdiena','pirmdiena','otrdiena','tre\u0161diena','ceturtdiena','piektdiena','sestdiena'],
	dayNamesShort: ['svt','prm','otr','tre','ctr','pkt','sst'],
	dayNamesMin: ['Sv','Pr','Ot','Tr','Ct','Pk','Ss'],
	weekHeader: 'Ned.',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['lv']);

var i18nDatepickerLv = datepicker.regional['lv'];


/* Macedonian i18n for the jQuery UI date picker plugin. */
/* Written by Stojce Slavkovski. */


datepicker.regional['mk'] = {
	closeText: '\u0417\u0430\u0442\u0432\u043e\u0440\u0438',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: '\u0414\u0435\u043d\u0435\u0441',
	monthNames: ['\u0408\u0430\u043d\u0443\u0430\u0440\u0438','\u0424\u0435\u0432\u0440\u0443\u0430\u0440\u0438','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0438\u043b','\u041c\u0430\u0458','\u0408\u0443\u043d\u0438',
	'\u0408\u0443\u043b\u0438','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043f\u0442\u0435\u043c\u0432\u0440\u0438','\u041e\u043a\u0442\u043e\u043c\u0432\u0440\u0438','\u041d\u043e\u0435\u043c\u0432\u0440\u0438','\u0414\u0435\u043a\u0435\u043c\u0432\u0440\u0438'],
	monthNamesShort: ['\u0408\u0430\u043d','\u0424\u0435\u0432','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0458','\u0408\u0443\u043d',
	'\u0408\u0443\u043b','\u0410\u0432\u0433','\u0421\u0435\u043f','\u041e\u043a\u0442','\u041d\u043e\u0435','\u0414\u0435\u043a'],
	dayNames: ['\u041d\u0435\u0434\u0435\u043b\u0430','\u041f\u043e\u043d\u0435\u0434\u0435\u043b\u043d\u0438\u043a','\u0412\u0442\u043e\u0440\u043d\u0438\u043a','\u0421\u0440\u0435\u0434\u0430','\u0427\u0435\u0442\u0432\u0440\u0442\u043e\u043a','\u041f\u0435\u0442\u043e\u043a','\u0421\u0430\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u041d\u0435\u0434','\u041f\u043e\u043d','\u0412\u0442\u043e','\u0421\u0440\u0435','\u0427\u0435\u0442','\u041f\u0435\u0442','\u0421\u0430\u0431'],
	dayNamesMin: ['\u041d\u0435','\u041f\u043e','\u0412\u0442','\u0421\u0440','\u0427\u0435','\u041f\u0435','\u0421\u0430'],
	weekHeader: '\u0421\u0435\u0434',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['mk']);

var i18nDatepickerMk = datepicker.regional['mk'];


/* Malayalam (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Saji Nediyanchath (saji89@gmail.com). */


datepicker.regional['ml'] = {
	closeText: '\u0d36\u0d30\u0d3f',
	prevText: '\u0d2e\u0d41\u0d28\u0d4d\u0d28\u0d24\u0d4d\u0d24\u0d46',
	nextText: '\u0d05\u0d1f\u0d41\u0d24\u0d4d\u0d24\u0d24\u0d4d ',
	currentText: '\u0d07\u0d28\u0d4d\u0d28\u0d4d',
	monthNames: ['\u0d1c\u0d28\u0d41\u0d35\u0d30\u0d3f','\u0d2b\u0d46\u0d2c\u0d4d\u0d30\u0d41\u0d35\u0d30\u0d3f','\u0d2e\u0d3e\u0d30\u0d4d\u200d\u0d1a\u0d4d\u0d1a\u0d4d','\u0d0f\u0d2a\u0d4d\u0d30\u0d3f\u0d32\u0d4d\u200d','\u0d2e\u0d47\u0d2f\u0d4d','\u0d1c\u0d42\u0d23\u0d4d\u200d',
	'\u0d1c\u0d42\u0d32\u0d48','\u0d06\u0d17\u0d38\u0d4d\u0d31\u0d4d\u0d31\u0d4d','\u0d38\u0d46\u0d2a\u0d4d\u0d31\u0d4d\u0d31\u0d02\u0d2c\u0d30\u0d4d\u200d','\u0d12\u0d15\u0d4d\u0d1f\u0d4b\u0d2c\u0d30\u0d4d\u200d','\u0d28\u0d35\u0d02\u0d2c\u0d30\u0d4d\u200d','\u0d21\u0d3f\u0d38\u0d02\u0d2c\u0d30\u0d4d\u200d'],
	monthNamesShort: ['\u0d1c\u0d28\u0d41', '\u0d2b\u0d46\u0d2c\u0d4d', '\u0d2e\u0d3e\u0d30\u0d4d\u200d', '\u0d0f\u0d2a\u0d4d\u0d30\u0d3f', '\u0d2e\u0d47\u0d2f\u0d4d', '\u0d1c\u0d42\u0d23\u0d4d\u200d',
	'\u0d1c\u0d42\u0d32\u0d3e', '\u0d06\u0d17', '\u0d38\u0d46\u0d2a\u0d4d', '\u0d12\u0d15\u0d4d\u0d1f\u0d4b', '\u0d28\u0d35\u0d02', '\u0d21\u0d3f\u0d38'],
	dayNames: ['\u0d1e\u0d3e\u0d2f\u0d30\u0d4d\u200d', '\u0d24\u0d3f\u0d19\u0d4d\u0d15\u0d33\u0d4d\u200d', '\u0d1a\u0d4a\u0d35\u0d4d\u0d35', '\u0d2c\u0d41\u0d27\u0d28\u0d4d\u200d', '\u0d35\u0d4d\u0d2f\u0d3e\u0d34\u0d02', '\u0d35\u0d46\u0d33\u0d4d\u0d33\u0d3f', '\u0d36\u0d28\u0d3f'],
	dayNamesShort: ['\u0d1e\u0d3e\u0d2f', '\u0d24\u0d3f\u0d19\u0d4d\u0d15', '\u0d1a\u0d4a\u0d35\u0d4d\u0d35', '\u0d2c\u0d41\u0d27', '\u0d35\u0d4d\u0d2f\u0d3e\u0d34\u0d02', '\u0d35\u0d46\u0d33\u0d4d\u0d33\u0d3f', '\u0d36\u0d28\u0d3f'],
	dayNamesMin: ['\u0d1e\u0d3e','\u0d24\u0d3f','\u0d1a\u0d4a','\u0d2c\u0d41','\u0d35\u0d4d\u0d2f\u0d3e','\u0d35\u0d46','\u0d36'],
	weekHeader: '\u0d06',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ml']);

var i18nDatepickerMl = datepicker.regional['ml'];


/* Malaysian initialisation for the jQuery UI date picker plugin. */
/* Written by Mohd Nawawi Mohamad Jamili (nawawi@ronggeng.net). */


datepicker.regional['ms'] = {
	closeText: 'Tutup',
	prevText: '&#x3C;Sebelum',
	nextText: 'Selepas&#x3E;',
	currentText: 'hari ini',
	monthNames: ['Januari','Februari','Mac','April','Mei','Jun',
	'Julai','Ogos','September','Oktober','November','Disember'],
	monthNamesShort: ['Jan','Feb','Mac','Apr','Mei','Jun',
	'Jul','Ogo','Sep','Okt','Nov','Dis'],
	dayNames: ['Ahad','Isnin','Selasa','Rabu','Khamis','Jumaat','Sabtu'],
	dayNamesShort: ['Aha','Isn','Sel','Rab','kha','Jum','Sab'],
	dayNamesMin: ['Ah','Is','Se','Ra','Kh','Ju','Sa'],
	weekHeader: 'Mg',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ms']);

var i18nDatepickerMs = datepicker.regional['ms'];


/* Norwegian Bokm\u00e5l initialisation for the jQuery UI date picker plugin. */
/* Written by Bj\u00f8rn Johansen (post@bjornjohansen.no). */


datepicker.regional['nb'] = {
	closeText: 'Lukk',
	prevText: '&#xAB;Forrige',
	nextText: 'Neste&#xBB;',
	currentText: 'I dag',
	monthNames: ['januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember'],
	monthNamesShort: ['jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des'],
	dayNamesShort: ['s\u00f8n','man','tir','ons','tor','fre','l\u00f8r'],
	dayNames: ['s\u00f8ndag','mandag','tirsdag','onsdag','torsdag','fredag','l\u00f8rdag'],
	dayNamesMin: ['s\u00f8','ma','ti','on','to','fr','l\u00f8'],
	weekHeader: 'Uke',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
};
datepicker.setDefaults(datepicker.regional['nb']);

var i18nDatepickerNb = datepicker.regional['nb'];


/* Dutch (Belgium) initialisation for the jQuery UI date picker plugin. */
/* David De Sloovere @DavidDeSloovere */


datepicker.regional['nl-BE'] = {
	closeText: 'Sluiten',
	prevText: '\u2190',
	nextText: '\u2192',
	currentText: 'Vandaag',
	monthNames: ['januari', 'februari', 'maart', 'april', 'mei', 'juni',
	'juli', 'augustus', 'september', 'oktober', 'november', 'december'],
	monthNamesShort: ['jan', 'feb', 'mrt', 'apr', 'mei', 'jun',
	'jul', 'aug', 'sep', 'okt', 'nov', 'dec'],
	dayNames: ['zondag', 'maandag', 'dinsdag', 'woensdag', 'donderdag', 'vrijdag', 'zaterdag'],
	dayNamesShort: ['zon', 'maa', 'din', 'woe', 'don', 'vri', 'zat'],
	dayNamesMin: ['zo', 'ma', 'di', 'wo', 'do', 'vr', 'za'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['nl-BE']);

var i18nDatepickerNlBe = datepicker.regional['nl-BE'];


/* Dutch (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Mathias Bynens <http://mathiasbynens.be/> */


datepicker.regional.nl = {
	closeText: 'Sluiten',
	prevText: '\u2190',
	nextText: '\u2192',
	currentText: 'Vandaag',
	monthNames: ['januari', 'februari', 'maart', 'april', 'mei', 'juni',
	'juli', 'augustus', 'september', 'oktober', 'november', 'december'],
	monthNamesShort: ['jan', 'feb', 'mrt', 'apr', 'mei', 'jun',
	'jul', 'aug', 'sep', 'okt', 'nov', 'dec'],
	dayNames: ['zondag', 'maandag', 'dinsdag', 'woensdag', 'donderdag', 'vrijdag', 'zaterdag'],
	dayNamesShort: ['zon', 'maa', 'din', 'woe', 'don', 'vri', 'zat'],
	dayNamesMin: ['zo', 'ma', 'di', 'wo', 'do', 'vr', 'za'],
	weekHeader: 'Wk',
	dateFormat: 'dd-mm-yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional.nl);

var i18nDatepickerNl = datepicker.regional.nl;


/* Norwegian Nynorsk initialisation for the jQuery UI date picker plugin. */
/* Written by Bj\u00f8rn Johansen (post@bjornjohansen.no). */


datepicker.regional['nn'] = {
	closeText: 'Lukk',
	prevText: '&#xAB;F\u00f8rre',
	nextText: 'Neste&#xBB;',
	currentText: 'I dag',
	monthNames: ['januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember'],
	monthNamesShort: ['jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des'],
	dayNamesShort: ['sun','m\u00e5n','tys','ons','tor','fre','lau'],
	dayNames: ['sundag','m\u00e5ndag','tysdag','onsdag','torsdag','fredag','laurdag'],
	dayNamesMin: ['su','m\u00e5','ty','on','to','fr','la'],
	weekHeader: 'Veke',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
};
datepicker.setDefaults(datepicker.regional['nn']);

var i18nDatepickerNn = datepicker.regional['nn'];


/* Norwegian initialisation for the jQuery UI date picker plugin. */
/* Written by Naimdjon Takhirov (naimdjon@gmail.com). */



datepicker.regional['no'] = {
	closeText: 'Lukk',
	prevText: '&#xAB;Forrige',
	nextText: 'Neste&#xBB;',
	currentText: 'I dag',
	monthNames: ['januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember'],
	monthNamesShort: ['jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des'],
	dayNamesShort: ['s\u00f8n','man','tir','ons','tor','fre','l\u00f8r'],
	dayNames: ['s\u00f8ndag','mandag','tirsdag','onsdag','torsdag','fredag','l\u00f8rdag'],
	dayNamesMin: ['s\u00f8','ma','ti','on','to','fr','l\u00f8'],
	weekHeader: 'Uke',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
};
datepicker.setDefaults(datepicker.regional['no']);

var i18nDatepickerNo = datepicker.regional['no'];


/* Polish initialisation for the jQuery UI date picker plugin. */
/* Written by Jacek Wysocki (jacek.wysocki@gmail.com). */


datepicker.regional['pl'] = {
	closeText: 'Zamknij',
	prevText: '&#x3C;Poprzedni',
	nextText: 'Nast\u0119pny&#x3E;',
	currentText: 'Dzi\u015b',
	monthNames: ['Stycze\u0144','Luty','Marzec','Kwiecie\u0144','Maj','Czerwiec',
	'Lipiec','Sierpie\u0144','Wrzesie\u0144','Pa\u017adziernik','Listopad','Grudzie\u0144'],
	monthNamesShort: ['Sty','Lu','Mar','Kw','Maj','Cze',
	'Lip','Sie','Wrz','Pa','Lis','Gru'],
	dayNames: ['Niedziela','Poniedzia\u0142ek','Wtorek','\u015aroda','Czwartek','Pi\u0105tek','Sobota'],
	dayNamesShort: ['Nie','Pn','Wt','\u015ar','Czw','Pt','So'],
	dayNamesMin: ['N','Pn','Wt','\u015ar','Cz','Pt','So'],
	weekHeader: 'Tydz',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['pl']);

var i18nDatepickerPl = datepicker.regional['pl'];


/* Brazilian initialisation for the jQuery UI date picker plugin. */
/* Written by Leonildo Costa Silva (leocsilva@gmail.com). */


datepicker.regional['pt-BR'] = {
	closeText: 'Fechar',
	prevText: '&#x3C;Anterior',
	nextText: 'Pr\u00f3ximo&#x3E;',
	currentText: 'Hoje',
	monthNames: ['Janeiro','Fevereiro','Mar\u00e7o','Abril','Maio','Junho',
	'Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],
	monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun',
	'Jul','Ago','Set','Out','Nov','Dez'],
	dayNames: ['Domingo','Segunda-feira','Ter\u00e7a-feira','Quarta-feira','Quinta-feira','Sexta-feira','S\u00e1bado'],
	dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','S\u00e1b'],
	dayNamesMin: ['Dom','Seg','Ter','Qua','Qui','Sex','S\u00e1b'],
	weekHeader: 'Sm',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['pt-BR']);

var i18nDatepickerPtBr = datepicker.regional['pt-BR'];


/* Portuguese initialisation for the jQuery UI date picker plugin. */


datepicker.regional['pt'] = {
	closeText: 'Fechar',
	prevText: 'Anterior',
	nextText: 'Seguinte',
	currentText: 'Hoje',
	monthNames: ['Janeiro','Fevereiro','Mar\u00e7o','Abril','Maio','Junho',
	'Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],
	monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun',
	'Jul','Ago','Set','Out','Nov','Dez'],
	dayNames: ['Domingo','Segunda-feira','Ter\u00e7a-feira','Quarta-feira','Quinta-feira','Sexta-feira','S\u00e1bado'],
	dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','S\u00e1b'],
	dayNamesMin: ['Dom','Seg','Ter','Qua','Qui','Sex','S\u00e1b'],
	weekHeader: 'Sem',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['pt']);

var i18nDatepickerPt = datepicker.regional['pt'];


/* Romansh initialisation for the jQuery UI date picker plugin. */
/* Written by Yvonne Gienal (yvonne.gienal@educa.ch). */


datepicker.regional['rm'] = {
	closeText: 'Serrar',
	prevText: '&#x3C;Suandant',
	nextText: 'Precedent&#x3E;',
	currentText: 'Actual',
	monthNames: ['Schaner','Favrer','Mars','Avrigl','Matg','Zercladur', 'Fanadur','Avust','Settember','October','November','December'],
	monthNamesShort: ['Scha','Fev','Mar','Avr','Matg','Zer', 'Fan','Avu','Sett','Oct','Nov','Dec'],
	dayNames: ['Dumengia','Glindesdi','Mardi','Mesemna','Gievgia','Venderdi','Sonda'],
	dayNamesShort: ['Dum','Gli','Mar','Mes','Gie','Ven','Som'],
	dayNamesMin: ['Du','Gl','Ma','Me','Gi','Ve','So'],
	weekHeader: 'emna',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['rm']);

var i18nDatepickerRm = datepicker.regional['rm'];


/* Romanian initialisation for the jQuery UI date picker plugin.
 *
 * Written by Edmond L. (ll_edmond@walla.com)
 * and Ionut G. Stan (ionut.g.stan@gmail.com)
 */


datepicker.regional['ro'] = {
	closeText: '\u00cenchide',
	prevText: '&#xAB; Luna precedent\u0103',
	nextText: 'Luna urm\u0103toare &#xBB;',
	currentText: 'Azi',
	monthNames: ['Ianuarie','Februarie','Martie','Aprilie','Mai','Iunie',
	'Iulie','August','Septembrie','Octombrie','Noiembrie','Decembrie'],
	monthNamesShort: ['Ian', 'Feb', 'Mar', 'Apr', 'Mai', 'Iun',
	'Iul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
	dayNames: ['Duminic\u0103', 'Luni', 'Mar\u0163i', 'Miercuri', 'Joi', 'Vineri', 'S\u00e2mb\u0103t\u0103'],
	dayNamesShort: ['Dum', 'Lun', 'Mar', 'Mie', 'Joi', 'Vin', 'S\u00e2m'],
	dayNamesMin: ['Du','Lu','Ma','Mi','Jo','Vi','S\u00e2'],
	weekHeader: 'S\u0103pt',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ro']);

var i18nDatepickerRo = datepicker.regional['ro'];


/* Russian (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Andrew Stromnov (stromnov@gmail.com). */


datepicker.regional['ru'] = {
	closeText: '\u0417\u0430\u043a\u0440\u044b\u0442\u044c',
	prevText: '&#x3C;\u041f\u0440\u0435\u0434',
	nextText: '\u0421\u043b\u0435\u0434&#x3E;',
	currentText: '\u0421\u0435\u0433\u043e\u0434\u043d\u044f',
	monthNames: ['\u042f\u043d\u0432\u0430\u0440\u044c','\u0424\u0435\u0432\u0440\u0430\u043b\u044c','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0435\u043b\u044c','\u041c\u0430\u0439','\u0418\u044e\u043d\u044c',
	'\u0418\u044e\u043b\u044c','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043d\u0442\u044f\u0431\u0440\u044c','\u041e\u043a\u0442\u044f\u0431\u0440\u044c','\u041d\u043e\u044f\u0431\u0440\u044c','\u0414\u0435\u043a\u0430\u0431\u0440\u044c'],
	monthNamesShort: ['\u042f\u043d\u0432','\u0424\u0435\u0432','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0439','\u0418\u044e\u043d',
	'\u0418\u044e\u043b','\u0410\u0432\u0433','\u0421\u0435\u043d','\u041e\u043a\u0442','\u041d\u043e\u044f','\u0414\u0435\u043a'],
	dayNames: ['\u0432\u043e\u0441\u043a\u0440\u0435\u0441\u0435\u043d\u044c\u0435','\u043f\u043e\u043d\u0435\u0434\u0435\u043b\u044c\u043d\u0438\u043a','\u0432\u0442\u043e\u0440\u043d\u0438\u043a','\u0441\u0440\u0435\u0434\u0430','\u0447\u0435\u0442\u0432\u0435\u0440\u0433','\u043f\u044f\u0442\u043d\u0438\u0446\u0430','\u0441\u0443\u0431\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u0432\u0441\u043a','\u043f\u043d\u0434','\u0432\u0442\u0440','\u0441\u0440\u0434','\u0447\u0442\u0432','\u043f\u0442\u043d','\u0441\u0431\u0442'],
	dayNamesMin: ['\u0412\u0441','\u041f\u043d','\u0412\u0442','\u0421\u0440','\u0427\u0442','\u041f\u0442','\u0421\u0431'],
	weekHeader: '\u041d\u0435\u0434',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ru']);

var i18nDatepickerRu = datepicker.regional['ru'];


/* Slovak initialisation for the jQuery UI date picker plugin. */
/* Written by Vojtech Rinik (vojto@hmm.sk). */


datepicker.regional['sk'] = {
	closeText: 'Zavrie\u0165',
	prevText: '&#x3C;Predch\u00e1dzaj\u00faci',
	nextText: 'Nasleduj\u00faci&#x3E;',
	currentText: 'Dnes',
	monthNames: ['janu\u00e1r','febru\u00e1r','marec','apr\u00edl','m\u00e1j','j\u00fan',
	'j\u00fal','august','september','okt\u00f3ber','november','december'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','M\u00e1j','J\u00fan',
	'J\u00fal','Aug','Sep','Okt','Nov','Dec'],
	dayNames: ['nede\u013ea','pondelok','utorok','streda','\u0161tvrtok','piatok','sobota'],
	dayNamesShort: ['Ned','Pon','Uto','Str','\u0160tv','Pia','Sob'],
	dayNamesMin: ['Ne','Po','Ut','St','\u0160t','Pia','So'],
	weekHeader: 'Ty',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sk']);

var i18nDatepickerSk = datepicker.regional['sk'];


/* Slovenian initialisation for the jQuery UI date picker plugin. */
/* Written by Jaka Jancar (jaka@kubje.org). */
/* c = \u010d, s = \u0161 z = \u017e C = \u010c S = \u0160 Z = \u017d */


datepicker.regional['sl'] = {
	closeText: 'Zapri',
	prevText: '&#x3C;Prej\u0161nji',
	nextText: 'Naslednji&#x3E;',
	currentText: 'Trenutni',
	monthNames: ['Januar','Februar','Marec','April','Maj','Junij',
	'Julij','Avgust','September','Oktober','November','December'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','Avg','Sep','Okt','Nov','Dec'],
	dayNames: ['Nedelja','Ponedeljek','Torek','Sreda','\u010cetrtek','Petek','Sobota'],
	dayNamesShort: ['Ned','Pon','Tor','Sre','\u010cet','Pet','Sob'],
	dayNamesMin: ['Ne','Po','To','Sr','\u010ce','Pe','So'],
	weekHeader: 'Teden',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sl']);

var i18nDatepickerSl = datepicker.regional['sl'];


/* Albanian initialisation for the jQuery UI date picker plugin. */
/* Written by Flakron Bytyqi (flakron@gmail.com). */


datepicker.regional['sq'] = {
	closeText: 'mbylle',
	prevText: '&#x3C;mbrapa',
	nextText: 'P\u00ebrpara&#x3E;',
	currentText: 'sot',
	monthNames: ['Janar','Shkurt','Mars','Prill','Maj','Qershor',
	'Korrik','Gusht','Shtator','Tetor','N\u00ebntor','Dhjetor'],
	monthNamesShort: ['Jan','Shk','Mar','Pri','Maj','Qer',
	'Kor','Gus','Sht','Tet','N\u00ebn','Dhj'],
	dayNames: ['E Diel','E H\u00ebn\u00eb','E Mart\u00eb','E M\u00ebrkur\u00eb','E Enjte','E Premte','E Shtune'],
	dayNamesShort: ['Di','H\u00eb','Ma','M\u00eb','En','Pr','Sh'],
	dayNamesMin: ['Di','H\u00eb','Ma','M\u00eb','En','Pr','Sh'],
	weekHeader: 'Ja',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sq']);

var i18nDatepickerSq = datepicker.regional['sq'];


/* Serbian i18n for the jQuery UI date picker plugin. */
/* Written by Dejan Dimi\u0107. */


datepicker.regional['sr-SR'] = {
	closeText: 'Zatvori',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: 'Danas',
	monthNames: ['Januar','Februar','Mart','April','Maj','Jun',
	'Jul','Avgust','Septembar','Oktobar','Novembar','Decembar'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','Avg','Sep','Okt','Nov','Dec'],
	dayNames: ['Nedelja','Ponedeljak','Utorak','Sreda','\u010cetvrtak','Petak','Subota'],
	dayNamesShort: ['Ned','Pon','Uto','Sre','\u010cet','Pet','Sub'],
	dayNamesMin: ['Ne','Po','Ut','Sr','\u010ce','Pe','Su'],
	weekHeader: 'Sed',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sr-SR']);

var i18nDatepickerSrSr = datepicker.regional['sr-SR'];


/* Serbian i18n for the jQuery UI date picker plugin. */
/* Written by Dejan Dimi\u0107. */


datepicker.regional['sr'] = {
	closeText: '\u0417\u0430\u0442\u0432\u043e\u0440\u0438',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: '\u0414\u0430\u043d\u0430\u0441',
	monthNames: ['\u0408\u0430\u043d\u0443\u0430\u0440','\u0424\u0435\u0431\u0440\u0443\u0430\u0440','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0438\u043b','\u041c\u0430\u0458','\u0408\u0443\u043d',
	'\u0408\u0443\u043b','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043f\u0442\u0435\u043c\u0431\u0430\u0440','\u041e\u043a\u0442\u043e\u0431\u0430\u0440','\u041d\u043e\u0432\u0435\u043c\u0431\u0430\u0440','\u0414\u0435\u0446\u0435\u043c\u0431\u0430\u0440'],
	monthNamesShort: ['\u0408\u0430\u043d','\u0424\u0435\u0431','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0458','\u0408\u0443\u043d',
	'\u0408\u0443\u043b','\u0410\u0432\u0433','\u0421\u0435\u043f','\u041e\u043a\u0442','\u041d\u043e\u0432','\u0414\u0435\u0446'],
	dayNames: ['\u041d\u0435\u0434\u0435\u0459\u0430','\u041f\u043e\u043d\u0435\u0434\u0435\u0459\u0430\u043a','\u0423\u0442\u043e\u0440\u0430\u043a','\u0421\u0440\u0435\u0434\u0430','\u0427\u0435\u0442\u0432\u0440\u0442\u0430\u043a','\u041f\u0435\u0442\u0430\u043a','\u0421\u0443\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u041d\u0435\u0434','\u041f\u043e\u043d','\u0423\u0442\u043e','\u0421\u0440\u0435','\u0427\u0435\u0442','\u041f\u0435\u0442','\u0421\u0443\u0431'],
	dayNamesMin: ['\u041d\u0435','\u041f\u043e','\u0423\u0442','\u0421\u0440','\u0427\u0435','\u041f\u0435','\u0421\u0443'],
	weekHeader: '\u0421\u0435\u0434',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sr']);

var i18nDatepickerSr = datepicker.regional['sr'];


/* Swedish initialisation for the jQuery UI date picker plugin. */
/* Written by Anders Ekdahl ( anders@nomadiz.se). */


datepicker.regional['sv'] = {
	closeText: 'St\u00e4ng',
	prevText: '&#xAB;F\u00f6rra',
	nextText: 'N\u00e4sta&#xBB;',
	currentText: 'Idag',
	monthNames: ['Januari','Februari','Mars','April','Maj','Juni',
	'Juli','Augusti','September','Oktober','November','December'],
	monthNamesShort: ['Jan','Feb','Mar','Apr','Maj','Jun',
	'Jul','Aug','Sep','Okt','Nov','Dec'],
	dayNamesShort: ['S\u00f6n','M\u00e5n','Tis','Ons','Tor','Fre','L\u00f6r'],
	dayNames: ['S\u00f6ndag','M\u00e5ndag','Tisdag','Onsdag','Torsdag','Fredag','L\u00f6rdag'],
	dayNamesMin: ['S\u00f6','M\u00e5','Ti','On','To','Fr','L\u00f6'],
	weekHeader: 'Ve',
	dateFormat: 'yy-mm-dd',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['sv']);

var i18nDatepickerSv = datepicker.regional['sv'];


/* Tamil (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by S A Sureshkumar (saskumar@live.com). */


datepicker.regional['ta'] = {
	closeText: '\u0bae\u0bc2\u0b9f\u0bc1',
	prevText: '\u0bae\u0bc1\u0ba9\u0bcd\u0ba9\u0bc8\u0baf\u0ba4\u0bc1',
	nextText: '\u0b85\u0b9f\u0bc1\u0ba4\u0bcd\u0ba4\u0ba4\u0bc1',
	currentText: '\u0b87\u0ba9\u0bcd\u0bb1\u0bc1',
	monthNames: ['\u0ba4\u0bc8','\u0bae\u0bbe\u0b9a\u0bbf','\u0baa\u0b99\u0bcd\u0b95\u0bc1\u0ba9\u0bbf','\u0b9a\u0bbf\u0ba4\u0bcd\u0ba4\u0bbf\u0bb0\u0bc8','\u0bb5\u0bc8\u0b95\u0bbe\u0b9a\u0bbf','\u0b86\u0ba9\u0bbf',
	'\u0b86\u0b9f\u0bbf','\u0b86\u0bb5\u0ba3\u0bbf','\u0baa\u0bc1\u0bb0\u0b9f\u0bcd\u0b9f\u0bbe\u0b9a\u0bbf','\u0b90\u0baa\u0bcd\u0baa\u0b9a\u0bbf','\u0b95\u0bbe\u0bb0\u0bcd\u0ba4\u0bcd\u0ba4\u0bbf\u0b95\u0bc8','\u0bae\u0bbe\u0bb0\u0bcd\u0b95\u0bb4\u0bbf'],
	monthNamesShort: ['\u0ba4\u0bc8','\u0bae\u0bbe\u0b9a\u0bbf','\u0baa\u0b99\u0bcd','\u0b9a\u0bbf\u0ba4\u0bcd','\u0bb5\u0bc8\u0b95\u0bbe','\u0b86\u0ba9\u0bbf',
	'\u0b86\u0b9f\u0bbf','\u0b86\u0bb5','\u0baa\u0bc1\u0bb0','\u0b90\u0baa\u0bcd','\u0b95\u0bbe\u0bb0\u0bcd','\u0bae\u0bbe\u0bb0\u0bcd'],
	dayNames: ['\u0b9e\u0bbe\u0baf\u0bbf\u0bb1\u0bcd\u0bb1\u0bc1\u0b95\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0ba4\u0bbf\u0b99\u0bcd\u0b95\u0b9f\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0b9a\u0bc6\u0bb5\u0bcd\u0bb5\u0bbe\u0baf\u0bcd\u0b95\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0baa\u0bc1\u0ba4\u0ba9\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0bb5\u0bbf\u0baf\u0bbe\u0bb4\u0b95\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0bb5\u0bc6\u0bb3\u0bcd\u0bb3\u0bbf\u0b95\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8','\u0b9a\u0ba9\u0bbf\u0b95\u0bcd\u0b95\u0bbf\u0bb4\u0bae\u0bc8'],
	dayNamesShort: ['\u0b9e\u0bbe\u0baf\u0bbf\u0bb1\u0bc1','\u0ba4\u0bbf\u0b99\u0bcd\u0b95\u0bb3\u0bcd','\u0b9a\u0bc6\u0bb5\u0bcd\u0bb5\u0bbe\u0baf\u0bcd','\u0baa\u0bc1\u0ba4\u0ba9\u0bcd','\u0bb5\u0bbf\u0baf\u0bbe\u0bb4\u0ba9\u0bcd','\u0bb5\u0bc6\u0bb3\u0bcd\u0bb3\u0bbf','\u0b9a\u0ba9\u0bbf'],
	dayNamesMin: ['\u0b9e\u0bbe','\u0ba4\u0bbf','\u0b9a\u0bc6','\u0baa\u0bc1','\u0bb5\u0bbf','\u0bb5\u0bc6','\u0b9a'],
	weekHeader: '\u041d\u0435',
	dateFormat: 'dd/mm/yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['ta']);

var i18nDatepickerTa = datepicker.regional['ta'];


/* Thai initialisation for the jQuery UI date picker plugin. */
/* Written by pipo (pipo@sixhead.com). */


datepicker.regional['th'] = {
	closeText: '\u0e1b\u0e34\u0e14',
	prevText: '&#xAB;&#xA0;\u0e22\u0e49\u0e2d\u0e19',
	nextText: '\u0e16\u0e31\u0e14\u0e44\u0e1b&#xA0;&#xBB;',
	currentText: '\u0e27\u0e31\u0e19\u0e19\u0e35\u0e49',
	monthNames: ['\u0e21\u0e01\u0e23\u0e32\u0e04\u0e21','\u0e01\u0e38\u0e21\u0e20\u0e32\u0e1e\u0e31\u0e19\u0e18\u0e4c','\u0e21\u0e35\u0e19\u0e32\u0e04\u0e21','\u0e40\u0e21\u0e29\u0e32\u0e22\u0e19','\u0e1e\u0e24\u0e29\u0e20\u0e32\u0e04\u0e21','\u0e21\u0e34\u0e16\u0e38\u0e19\u0e32\u0e22\u0e19',
	'\u0e01\u0e23\u0e01\u0e0e\u0e32\u0e04\u0e21','\u0e2a\u0e34\u0e07\u0e2b\u0e32\u0e04\u0e21','\u0e01\u0e31\u0e19\u0e22\u0e32\u0e22\u0e19','\u0e15\u0e38\u0e25\u0e32\u0e04\u0e21','\u0e1e\u0e24\u0e28\u0e08\u0e34\u0e01\u0e32\u0e22\u0e19','\u0e18\u0e31\u0e19\u0e27\u0e32\u0e04\u0e21'],
	monthNamesShort: ['\u0e21.\u0e04.','\u0e01.\u0e1e.','\u0e21\u0e35.\u0e04.','\u0e40\u0e21.\u0e22.','\u0e1e.\u0e04.','\u0e21\u0e34.\u0e22.',
	'\u0e01.\u0e04.','\u0e2a.\u0e04.','\u0e01.\u0e22.','\u0e15.\u0e04.','\u0e1e.\u0e22.','\u0e18.\u0e04.'],
	dayNames: ['\u0e2d\u0e32\u0e17\u0e34\u0e15\u0e22\u0e4c','\u0e08\u0e31\u0e19\u0e17\u0e23\u0e4c','\u0e2d\u0e31\u0e07\u0e04\u0e32\u0e23','\u0e1e\u0e38\u0e18','\u0e1e\u0e24\u0e2b\u0e31\u0e2a\u0e1a\u0e14\u0e35','\u0e28\u0e38\u0e01\u0e23\u0e4c','\u0e40\u0e2a\u0e32\u0e23\u0e4c'],
	dayNamesShort: ['\u0e2d\u0e32.','\u0e08.','\u0e2d.','\u0e1e.','\u0e1e\u0e24.','\u0e28.','\u0e2a.'],
	dayNamesMin: ['\u0e2d\u0e32.','\u0e08.','\u0e2d.','\u0e1e.','\u0e1e\u0e24.','\u0e28.','\u0e2a.'],
	weekHeader: 'Wk',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['th']);

var i18nDatepickerTh = datepicker.regional['th'];


/* Tajiki (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Abdurahmon Saidov (saidovab@gmail.com). */


datepicker.regional['tj'] = {
	closeText: '\u0418\u0434\u043e\u043c\u0430',
	prevText: '&#x3c;\u049a\u0430\u0444\u043e',
	nextText: '\u041f\u0435\u0448&#x3e;',
	currentText: '\u0418\u043c\u0440\u04ef\u0437',
	monthNames: ['\u042f\u043d\u0432\u0430\u0440','\u0424\u0435\u0432\u0440\u0430\u043b','\u041c\u0430\u0440\u0442','\u0410\u043f\u0440\u0435\u043b','\u041c\u0430\u0439','\u0418\u044e\u043d',
	'\u0418\u044e\u043b','\u0410\u0432\u0433\u0443\u0441\u0442','\u0421\u0435\u043d\u0442\u044f\u0431\u0440','\u041e\u043a\u0442\u044f\u0431\u0440','\u041d\u043e\u044f\u0431\u0440','\u0414\u0435\u043a\u0430\u0431\u0440'],
	monthNamesShort: ['\u042f\u043d\u0432','\u0424\u0435\u0432','\u041c\u0430\u0440','\u0410\u043f\u0440','\u041c\u0430\u0439','\u0418\u044e\u043d',
	'\u0418\u044e\u043b','\u0410\u0432\u0433','\u0421\u0435\u043d','\u041e\u043a\u0442','\u041d\u043e\u044f','\u0414\u0435\u043a'],
	dayNames: ['\u044f\u043a\u0448\u0430\u043d\u0431\u0435','\u0434\u0443\u0448\u0430\u043d\u0431\u0435','\u0441\u0435\u0448\u0430\u043d\u0431\u0435','\u0447\u043e\u0440\u0448\u0430\u043d\u0431\u0435','\u043f\u0430\u043d\u04b7\u0448\u0430\u043d\u0431\u0435','\u04b7\u0443\u043c\u044a\u0430','\u0448\u0430\u043d\u0431\u0435'],
	dayNamesShort: ['\u044f\u043a\u0448','\u0434\u0443\u0448','\u0441\u0435\u0448','\u0447\u043e\u0440','\u043f\u0430\u043d','\u04b7\u0443\u043c','\u0448\u0430\u043d'],
	dayNamesMin: ['\u042f\u043a','\u0414\u0448','\u0421\u0448','\u0427\u0448','\u041f\u0448','\u04b6\u043c','\u0428\u043d'],
	weekHeader: '\u0425\u0444',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['tj']);

var i18nDatepickerTj = datepicker.regional['tj'];


/* Turkish initialisation for the jQuery UI date picker plugin. */
/* Written by Izzet Emre Erkan (kara@karalamalar.net). */


datepicker.regional['tr'] = {
	closeText: 'kapat',
	prevText: '&#x3C;geri',
	nextText: 'ileri&#x3e',
	currentText: 'bug\u00fcn',
	monthNames: ['Ocak','\u015eubat','Mart','Nisan','May\u0131s','Haziran',
	'Temmuz','A\u011fustos','Eyl\u00fcl','Ekim','Kas\u0131m','Aral\u0131k'],
	monthNamesShort: ['Oca','\u015eub','Mar','Nis','May','Haz',
	'Tem','A\u011fu','Eyl','Eki','Kas','Ara'],
	dayNames: ['Pazar','Pazartesi','Sal\u0131','\u00c7ar\u015famba','Per\u015fembe','Cuma','Cumartesi'],
	dayNamesShort: ['Pz','Pt','Sa','\u00c7a','Pe','Cu','Ct'],
	dayNamesMin: ['Pz','Pt','Sa','\u00c7a','Pe','Cu','Ct'],
	weekHeader: 'Hf',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['tr']);

var i18nDatepickerTr = datepicker.regional['tr'];


/* Ukrainian (UTF-8) initialisation for the jQuery UI date picker plugin. */
/* Written by Maxim Drogobitskiy (maxdao@gmail.com). */
/* Corrected by Igor Milla (igor.fsp.milla@gmail.com). */


datepicker.regional['uk'] = {
	closeText: '\u0417\u0430\u043a\u0440\u0438\u0442\u0438',
	prevText: '&#x3C;',
	nextText: '&#x3E;',
	currentText: '\u0421\u044c\u043e\u0433\u043e\u0434\u043d\u0456',
	monthNames: ['\u0421\u0456\u0447\u0435\u043d\u044c','\u041b\u044e\u0442\u0438\u0439','\u0411\u0435\u0440\u0435\u0437\u0435\u043d\u044c','\u041a\u0432\u0456\u0442\u0435\u043d\u044c','\u0422\u0440\u0430\u0432\u0435\u043d\u044c','\u0427\u0435\u0440\u0432\u0435\u043d\u044c',
	'\u041b\u0438\u043f\u0435\u043d\u044c','\u0421\u0435\u0440\u043f\u0435\u043d\u044c','\u0412\u0435\u0440\u0435\u0441\u0435\u043d\u044c','\u0416\u043e\u0432\u0442\u0435\u043d\u044c','\u041b\u0438\u0441\u0442\u043e\u043f\u0430\u0434','\u0413\u0440\u0443\u0434\u0435\u043d\u044c'],
	monthNamesShort: ['\u0421\u0456\u0447','\u041b\u044e\u0442','\u0411\u0435\u0440','\u041a\u0432\u0456','\u0422\u0440\u0430','\u0427\u0435\u0440',
	'\u041b\u0438\u043f','\u0421\u0435\u0440','\u0412\u0435\u0440','\u0416\u043e\u0432','\u041b\u0438\u0441','\u0413\u0440\u0443'],
	dayNames: ['\u043d\u0435\u0434\u0456\u043b\u044f','\u043f\u043e\u043d\u0435\u0434\u0456\u043b\u043e\u043a','\u0432\u0456\u0432\u0442\u043e\u0440\u043e\u043a','\u0441\u0435\u0440\u0435\u0434\u0430','\u0447\u0435\u0442\u0432\u0435\u0440','\u043f\u2019\u044f\u0442\u043d\u0438\u0446\u044f','\u0441\u0443\u0431\u043e\u0442\u0430'],
	dayNamesShort: ['\u043d\u0435\u0434','\u043f\u043d\u0434','\u0432\u0456\u0432','\u0441\u0440\u0434','\u0447\u0442\u0432','\u043f\u0442\u043d','\u0441\u0431\u0442'],
	dayNamesMin: ['\u041d\u0434','\u041f\u043d','\u0412\u0442','\u0421\u0440','\u0427\u0442','\u041f\u0442','\u0421\u0431'],
	weekHeader: '\u0422\u0438\u0436',
	dateFormat: 'dd.mm.yy',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['uk']);

var i18nDatepickerUk = datepicker.regional['uk'];


/* Vietnamese initialisation for the jQuery UI date picker plugin. */
/* Translated by Le Thanh Huy (lthanhhuy@cit.ctu.edu.vn). */


datepicker.regional['vi'] = {
	closeText: '\u0110\u00f3ng',
	prevText: '&#x3C;Tr\u01b0\u1edbc',
	nextText: 'Ti\u1ebfp&#x3E;',
	currentText: 'H\u00f4m nay',
	monthNames: ['Th\u00e1ng M\u1ed9t', 'Th\u00e1ng Hai', 'Th\u00e1ng Ba', 'Th\u00e1ng T\u01b0', 'Th\u00e1ng N\u0103m', 'Th\u00e1ng S\u00e1u',
	'Th\u00e1ng B\u1ea3y', 'Th\u00e1ng T\u00e1m', 'Th\u00e1ng Ch\u00edn', 'Th\u00e1ng M\u01b0\u1eddi', 'Th\u00e1ng M\u01b0\u1eddi M\u1ed9t', 'Th\u00e1ng M\u01b0\u1eddi Hai'],
	monthNamesShort: ['Th\u00e1ng 1', 'Th\u00e1ng 2', 'Th\u00e1ng 3', 'Th\u00e1ng 4', 'Th\u00e1ng 5', 'Th\u00e1ng 6',
	'Th\u00e1ng 7', 'Th\u00e1ng 8', 'Th\u00e1ng 9', 'Th\u00e1ng 10', 'Th\u00e1ng 11', 'Th\u00e1ng 12'],
	dayNames: ['Ch\u1ee7 Nh\u1eadt', 'Th\u1ee9 Hai', 'Th\u1ee9 Ba', 'Th\u1ee9 T\u01b0', 'Th\u1ee9 N\u0103m', 'Th\u1ee9 S\u00e1u', 'Th\u1ee9 B\u1ea3y'],
	dayNamesShort: ['CN', 'T2', 'T3', 'T4', 'T5', 'T6', 'T7'],
	dayNamesMin: ['CN', 'T2', 'T3', 'T4', 'T5', 'T6', 'T7'],
	weekHeader: 'Tu',
	dateFormat: 'dd/mm/yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['vi']);

var i18nDatepickerVi = datepicker.regional['vi'];


/* Chinese initialisation for the jQuery UI date picker plugin. */
/* Written by Cloudream (cloudream@gmail.com). */


datepicker.regional['zh-CN'] = {
	closeText: '\u5173\u95ed',
	prevText: '&#x3C;\u4e0a\u6708',
	nextText: '\u4e0b\u6708&#x3E;',
	currentText: '\u4eca\u5929',
	monthNames: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	monthNamesShort: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	dayNames: ['\u661f\u671f\u65e5','\u661f\u671f\u4e00','\u661f\u671f\u4e8c','\u661f\u671f\u4e09','\u661f\u671f\u56db','\u661f\u671f\u4e94','\u661f\u671f\u516d'],
	dayNamesShort: ['\u5468\u65e5','\u5468\u4e00','\u5468\u4e8c','\u5468\u4e09','\u5468\u56db','\u5468\u4e94','\u5468\u516d'],
	dayNamesMin: ['\u65e5','\u4e00','\u4e8c','\u4e09','\u56db','\u4e94','\u516d'],
	weekHeader: '\u5468',
	dateFormat: 'yy-mm-dd',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: '\u5e74'};
datepicker.setDefaults(datepicker.regional['zh-CN']);

var i18nDatepickerZhCn = datepicker.regional['zh-CN'];


/* Chinese initialisation for the jQuery UI date picker plugin. */
/* Written by SCCY (samuelcychan@gmail.com). */


datepicker.regional['zh-HK'] = {
	closeText: '\u95dc\u9589',
	prevText: '&#x3C;\u4e0a\u6708',
	nextText: '\u4e0b\u6708&#x3E;',
	currentText: '\u4eca\u5929',
	monthNames: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	monthNamesShort: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	dayNames: ['\u661f\u671f\u65e5','\u661f\u671f\u4e00','\u661f\u671f\u4e8c','\u661f\u671f\u4e09','\u661f\u671f\u56db','\u661f\u671f\u4e94','\u661f\u671f\u516d'],
	dayNamesShort: ['\u5468\u65e5','\u5468\u4e00','\u5468\u4e8c','\u5468\u4e09','\u5468\u56db','\u5468\u4e94','\u5468\u516d'],
	dayNamesMin: ['\u65e5','\u4e00','\u4e8c','\u4e09','\u56db','\u4e94','\u516d'],
	weekHeader: '\u5468',
	dateFormat: 'dd-mm-yy',
	firstDay: 0,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: '\u5e74'};
datepicker.setDefaults(datepicker.regional['zh-HK']);

var i18nDatepickerZhHk = datepicker.regional['zh-HK'];


/* Chinese initialisation for the jQuery UI date picker plugin. */
/* Written by Ressol (ressol@gmail.com). */


datepicker.regional['zh-TW'] = {
	closeText: '\u95dc\u9589',
	prevText: '&#x3C;\u4e0a\u6708',
	nextText: '\u4e0b\u6708&#x3E;',
	currentText: '\u4eca\u5929',
	monthNames: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	monthNamesShort: ['\u4e00\u6708','\u4e8c\u6708','\u4e09\u6708','\u56db\u6708','\u4e94\u6708','\u516d\u6708',
	'\u4e03\u6708','\u516b\u6708','\u4e5d\u6708','\u5341\u6708','\u5341\u4e00\u6708','\u5341\u4e8c\u6708'],
	dayNames: ['\u661f\u671f\u65e5','\u661f\u671f\u4e00','\u661f\u671f\u4e8c','\u661f\u671f\u4e09','\u661f\u671f\u56db','\u661f\u671f\u4e94','\u661f\u671f\u516d'],
	dayNamesShort: ['\u5468\u65e5','\u5468\u4e00','\u5468\u4e8c','\u5468\u4e09','\u5468\u56db','\u5468\u4e94','\u5468\u516d'],
	dayNamesMin: ['\u65e5','\u4e00','\u4e8c','\u4e09','\u56db','\u4e94','\u516d'],
	weekHeader: '\u5468',
	dateFormat: 'yy/mm/dd',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: true,
	yearSuffix: '\u5e74'};
datepicker.setDefaults(datepicker.regional['zh-TW']);

var i18nDatepickerZhTw = datepicker.regional['zh-TW'];

//UPDATE VERSION BELOW THIS LINE
var getUrl = bab_jQuery_extractUrlParams();
datepicker.setDefaults(datepicker.regional[getUrl.lang]);

}));
